[Touch-packages] [Bug 1953052] Re: In Jammy sound level reset after reboot

2021-12-02 Thread Lucap
@corrado venturini

Thanks for reporting this bug as i was about to do the same.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1953052

Title:
  In Jammy sound level reset after reboot

Status in alsa-utils package in Ubuntu:
  Confirmed

Bug description:
  After reboot sound level is reset ignoring the level set in previous
  session.

  I manually set the sound output level 
  at next boot the sound is set at a different level (about 70%)

  Expected: the sound level is persistent across power off/on

  What happens : sound level is set at a different level (about 70%)

  Note: this problem does not occur on different partitions of same PC
  running Ubuntu 20.04 or 21.10

  corrado@corrado-p3-jj-1130:~$ apt policy gnome-control-center
  gnome-control-center:
Installed: 1:41.1-1ubuntu1
Candidate: 1:41.1-1ubuntu1
Version table:
   *** 1:41.1-1ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu jammy/main amd64 Packages
  100 /var/lib/dpkg/status
  corrado@corrado-p3-jj-1130:~$ inxi -Fx
  System:Host: corrado-p3-jj-1130 Kernel: 5.13.0-19-generic x86_64 bits: 64 
compiler: gcc v: 11.2.0
 Desktop: GNOME 40.5 Distro: Ubuntu 22.04 (Jammy Jellyfish)
  Machine:   Type: Laptop System: Dell product: Inspiron 3793 v: N/A serial: 

 Mobo: Dell model: 0C1PF2 v: A00 serial:  UEFI: 
Dell v: 1.5.0 date: 12/17/2019
  Battery:   ID-1: BAT0 charge: 13.9 Wh (42.1%) condition: 33.0/42.0 Wh (78.7%) 
volts: 11.3 min: 11.4
 model: SWD-ATL3.618 DELL WJPC403 status: Discharging
  CPU:   Info: Quad Core model: Intel Core i5-1035G1 bits: 64 type: MT MCP 
arch: Ice Lake rev: 5 cache:
 L2: 6 MiB
 flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx 
bogomips: 19046
 Speed: 968 MHz min/max: 400/1000 MHz Core speeds (MHz): 1: 968 2: 
710 3: 706 4: 714 5: 966 6: 712
 7: 724 8: 821
  Graphics:  Device-1: Intel Iris Plus Graphics G1 vendor: Dell driver: i915 v: 
kernel bus-ID: 00:02.0
 Device-2: Realtek Integrated_Webcam_HD type: USB driver: uvcvideo 
bus-ID: 1-6:3
 Display: wayland server: X.Org 1.21.1.2 compositor: gnome-shell 
driver: loaded: i915
 note: n/a (using device driver) resolution: 1920x1080~60Hz
 OpenGL: renderer: Mesa Intel UHD Graphics (ICL GT1) v: 4.6 Mesa 
21.2.2 direct render: Yes
  Audio: Device-1: Intel Ice Lake-LP Smart Sound Audio vendor: Dell driver: 
snd_hda_intel v: kernel
 bus-ID: 00:1f.3
 Sound Server-1: ALSA v: k5.13.0-19-generic running: yes
 Sound Server-2: PulseAudio v: 15.0 running: yes
 Sound Server-3: PipeWire v: 0.3.40 running: yes
  Network:   Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: Dell 
driver: r8169 v: kernel port: 3000
 bus-ID: 01:00.0
 IF: enp1s0 state: down mac: 98:e7:43:59:19:19
 Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network 
Adapter vendor: Dell driver: ath10k_pci
 v: kernel bus-ID: 02:00.0
 IF: wlp2s0 state: up mac: d8:12:65:b8:21:b9
  Bluetooth: Device-1: Qualcomm Atheros type: USB driver: btusb v: 0.8 bus-ID: 
1-10:4
 Report: hciconfig ID: hci0 rfk-id: 0 state: down bt-service: 
enabled,running rfk-block: hardware: no
 software: yes address: D8:12:65:B8:21:BA
  Drives:Local Storage: total: 942.7 GiB used: 11.77 GiB (1.2%)
 ID-1: /dev/nvme0n1 vendor: Toshiba model: KBG40ZNS512G NVMe KIOXIA 
512GB size: 476.94 GiB temp: 24.9 C
 ID-2: /dev/sda vendor: Crucial model: CT500MX500SSD1 size: 465.76 
GiB
  Partition: ID-1: / size: 46.95 GiB used: 11.73 GiB (25.0%) fs: ext4 dev: 
/dev/nvme0n1p3
 ID-2: /boot/efi size: 246 MiB used: 46.4 MiB (18.9%) fs: vfat dev: 
/dev/nvme0n1p1
  Swap:  Alert: No swap data was found.
  Sensors:   System Temperatures: cpu: 27.8 C mobo: N/A
 Fan Speeds (RPM): cpu: 0
  Info:  Processes: 263 Uptime: 31m Memory: 15.4 GiB used: 2.45 GiB (15.9%) 
Init: systemd runlevel: 5 Compilers:
 gcc: N/A Packages: 1785 Shell: Bash v: 5.1.12 inxi: 3.3.07
  corrado@corrado-p3-jj-1130:~$
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu74
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 22.04
  InstallationDate: Installed on 2021-11-30 (2 days ago)
  InstallationMedia: Ubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 (20211130)
  Package: gnome-control-center 1:41.1-1ubuntu1
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 5.13.0-19.19-generic 5.13.14
  Tags:  wayland-session jammy
  Uname: Linux 5.13.0-19-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True

To 

[Touch-packages] [Bug 1953052] Re: In Jammy sound level reset after reboot

2021-12-02 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: alsa-utils (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1953052

Title:
  In Jammy sound level reset after reboot

Status in alsa-utils package in Ubuntu:
  Confirmed

Bug description:
  After reboot sound level is reset ignoring the level set in previous
  session.

  I manually set the sound output level 
  at next boot the sound is set at a different level (about 70%)

  Expected: the sound level is persistent across power off/on

  What happens : sound level is set at a different level (about 70%)

  Note: this problem does not occur on different partitions of same PC
  running Ubuntu 20.04 or 21.10

  corrado@corrado-p3-jj-1130:~$ apt policy gnome-control-center
  gnome-control-center:
Installed: 1:41.1-1ubuntu1
Candidate: 1:41.1-1ubuntu1
Version table:
   *** 1:41.1-1ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu jammy/main amd64 Packages
  100 /var/lib/dpkg/status
  corrado@corrado-p3-jj-1130:~$ inxi -Fx
  System:Host: corrado-p3-jj-1130 Kernel: 5.13.0-19-generic x86_64 bits: 64 
compiler: gcc v: 11.2.0
 Desktop: GNOME 40.5 Distro: Ubuntu 22.04 (Jammy Jellyfish)
  Machine:   Type: Laptop System: Dell product: Inspiron 3793 v: N/A serial: 

 Mobo: Dell model: 0C1PF2 v: A00 serial:  UEFI: 
Dell v: 1.5.0 date: 12/17/2019
  Battery:   ID-1: BAT0 charge: 13.9 Wh (42.1%) condition: 33.0/42.0 Wh (78.7%) 
volts: 11.3 min: 11.4
 model: SWD-ATL3.618 DELL WJPC403 status: Discharging
  CPU:   Info: Quad Core model: Intel Core i5-1035G1 bits: 64 type: MT MCP 
arch: Ice Lake rev: 5 cache:
 L2: 6 MiB
 flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx 
bogomips: 19046
 Speed: 968 MHz min/max: 400/1000 MHz Core speeds (MHz): 1: 968 2: 
710 3: 706 4: 714 5: 966 6: 712
 7: 724 8: 821
  Graphics:  Device-1: Intel Iris Plus Graphics G1 vendor: Dell driver: i915 v: 
kernel bus-ID: 00:02.0
 Device-2: Realtek Integrated_Webcam_HD type: USB driver: uvcvideo 
bus-ID: 1-6:3
 Display: wayland server: X.Org 1.21.1.2 compositor: gnome-shell 
driver: loaded: i915
 note: n/a (using device driver) resolution: 1920x1080~60Hz
 OpenGL: renderer: Mesa Intel UHD Graphics (ICL GT1) v: 4.6 Mesa 
21.2.2 direct render: Yes
  Audio: Device-1: Intel Ice Lake-LP Smart Sound Audio vendor: Dell driver: 
snd_hda_intel v: kernel
 bus-ID: 00:1f.3
 Sound Server-1: ALSA v: k5.13.0-19-generic running: yes
 Sound Server-2: PulseAudio v: 15.0 running: yes
 Sound Server-3: PipeWire v: 0.3.40 running: yes
  Network:   Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: Dell 
driver: r8169 v: kernel port: 3000
 bus-ID: 01:00.0
 IF: enp1s0 state: down mac: 98:e7:43:59:19:19
 Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network 
Adapter vendor: Dell driver: ath10k_pci
 v: kernel bus-ID: 02:00.0
 IF: wlp2s0 state: up mac: d8:12:65:b8:21:b9
  Bluetooth: Device-1: Qualcomm Atheros type: USB driver: btusb v: 0.8 bus-ID: 
1-10:4
 Report: hciconfig ID: hci0 rfk-id: 0 state: down bt-service: 
enabled,running rfk-block: hardware: no
 software: yes address: D8:12:65:B8:21:BA
  Drives:Local Storage: total: 942.7 GiB used: 11.77 GiB (1.2%)
 ID-1: /dev/nvme0n1 vendor: Toshiba model: KBG40ZNS512G NVMe KIOXIA 
512GB size: 476.94 GiB temp: 24.9 C
 ID-2: /dev/sda vendor: Crucial model: CT500MX500SSD1 size: 465.76 
GiB
  Partition: ID-1: / size: 46.95 GiB used: 11.73 GiB (25.0%) fs: ext4 dev: 
/dev/nvme0n1p3
 ID-2: /boot/efi size: 246 MiB used: 46.4 MiB (18.9%) fs: vfat dev: 
/dev/nvme0n1p1
  Swap:  Alert: No swap data was found.
  Sensors:   System Temperatures: cpu: 27.8 C mobo: N/A
 Fan Speeds (RPM): cpu: 0
  Info:  Processes: 263 Uptime: 31m Memory: 15.4 GiB used: 2.45 GiB (15.9%) 
Init: systemd runlevel: 5 Compilers:
 gcc: N/A Packages: 1785 Shell: Bash v: 5.1.12 inxi: 3.3.07
  corrado@corrado-p3-jj-1130:~$
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu74
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 22.04
  InstallationDate: Installed on 2021-11-30 (2 days ago)
  InstallationMedia: Ubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 (20211130)
  Package: gnome-control-center 1:41.1-1ubuntu1
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 5.13.0-19.19-generic 5.13.14
  Tags:  wayland-session jammy
  Uname: Linux 5.13.0-19-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip 

[Touch-packages] [Bug 1953116] Re: Mouse not staying powered

2021-12-02 Thread Daniel van Vugt
Thanks for the bug report.

Your kernel log is indeed full of USB errors. This is most likely a
hardware fault in the mouse, the port or the motherboard. Otherwise it
would be a kernel bug.


** Package changed: xorg (Ubuntu) => linux (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1953116

Title:
  Mouse not staying powered

Status in linux-hwe-5.4 package in Ubuntu:
  New

Bug description:
  Mouse receives power via USB when plugged in, immediately loses it.
  Mouse on other devices, USB port provides power to other mice.

  Manufacturer: Microsoft  
  Model: Microsoft Ergonomic Mouse (Wired)
  Connection: USB
  Mechanism: Optical
  Buttons: 4 Buttons + 1 Scrollwheel

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 5.4.0-91.102~18.04.1-generic 5.4.151
  Uname: Linux 5.4.0-91-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.27
  Architecture: amd64
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Dec  3 00:14:13 2021
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation UHD Graphics 620 [8086:5917] (rev 07) (prog-if 00 [VGA 
controller])
 Subsystem: Dell UHD Graphics 620 [1028:0810]
  InstallationDate: Installed on 2021-11-01 (32 days ago)
  InstallationMedia: Ubuntu 18.04.6 LTS "Bionic Beaver" - Release amd64 
(20210915)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Inspiron 5570
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-91-generic 
root=UUID=e3adb636-cdf3-436a-8963-358dfa8e0a4e ro quiet splash
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  XorgLogOld:
   
  dmi.bios.date: 05/15/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.2.3
  dmi.board.name: 0D65FD
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.2.3:bd05/15/2019:svnDellInc.:pnInspiron5570:pvr:rvnDellInc.:rn0D65FD:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 5570
  dmi.product.sku: 0810
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~18.04.1
  version.xserver-xorg-core: xserver-xorg-core N/A
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux-hwe-5.4/+bug/1953116/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953116] [NEW] Mouse not staying powered

2021-12-02 Thread Andrew
Public bug reported:

Mouse receives power via USB when plugged in, immediately loses it.
Mouse on other devices, USB port provides power to other mice.

Manufacturer: Microsoft  
Model: Microsoft Ergonomic Mouse (Wired)
Connection: USB
Mechanism: Optical
Buttons: 4 Buttons + 1 Scrollwheel

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu7.1
ProcVersionSignature: Ubuntu 5.4.0-91.102~18.04.1-generic 5.4.151
Uname: Linux 5.4.0-91-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.27
Architecture: amd64
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Fri Dec  3 00:14:13 2021
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation UHD Graphics 620 [8086:5917] (rev 07) (prog-if 00 [VGA 
controller])
   Subsystem: Dell UHD Graphics 620 [1028:0810]
InstallationDate: Installed on 2021-11-01 (32 days ago)
InstallationMedia: Ubuntu 18.04.6 LTS "Bionic Beaver" - Release amd64 (20210915)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Inspiron 5570
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-91-generic 
root=UUID=e3adb636-cdf3-436a-8963-358dfa8e0a4e ro quiet splash
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
XorgLogOld:
 
dmi.bios.date: 05/15/2019
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.2.3
dmi.board.name: 0D65FD
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: 
dmi:bvnDellInc.:bvr1.2.3:bd05/15/2019:svnDellInc.:pnInspiron5570:pvr:rvnDellInc.:rn0D65FD:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Inspiron
dmi.product.name: Inspiron 5570
dmi.product.sku: 0810
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2~18.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~18.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx 20.0.8-0ubuntu1~18.04.1
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1953116

Title:
  Mouse not staying powered

Status in xorg package in Ubuntu:
  New

Bug description:
  Mouse receives power via USB when plugged in, immediately loses it.
  Mouse on other devices, USB port provides power to other mice.

  Manufacturer: Microsoft  
  Model: Microsoft Ergonomic Mouse (Wired)
  Connection: USB
  Mechanism: Optical
  Buttons: 4 Buttons + 1 Scrollwheel

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 5.4.0-91.102~18.04.1-generic 5.4.151
  Uname: Linux 5.4.0-91-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.27
  Architecture: amd64
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Dec  3 00:14:13 2021
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation UHD Graphics 620 [8086:5917] (rev 07) (prog-if 00 [VGA 
controller])
 Subsystem: Dell UHD Graphics 620 [1028:0810]
  InstallationDate: Installed on 2021-11-01 (32 days ago)
  InstallationMedia: Ubuntu 18.04.6 LTS "Bionic Beaver" - Release amd64 
(20210915)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Inspiron 5570
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-91-generic 
root=UUID=e3adb636-cdf3-436a-8963-358dfa8e0a4e ro quiet splash
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  XorgLogOld:
   
  dmi.bios.date: 05/15/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.2.3
  dmi.board.name: 0D65FD
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.2.3:bd05/15/2019:svnDellInc.:pnInspiron5570:pvr:rvnDellInc.:rn0D65FD:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 5570
  dmi.product.sku: 0810
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2~18.04.1
  

[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread Ubuntu QA Website
This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1952977

** Tags added: iso-testing

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Fix Committed

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1573039] Re: package tzdata 2016d-0ubuntu0.16.04 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128

2021-12-02 Thread Chris Guiver
Thank you for reporting this bug to Ubuntu.

Ubuntu 16.04 (xenial) reached end-of-life on April 29, 2021  (excluding
ESM support).

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested
in discussing it any more. But if you are then please upgrade to the
latest Ubuntu version and re-test. If you then find the bug is still
present in the newer Ubuntu version, please add a comment here telling
us which new version it is in.

** Changed in: tzdata (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1573039

Title:
  package tzdata 2016d-0ubuntu0.16.04 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 128

Status in tzdata package in Ubuntu:
  Incomplete

Bug description:
  I was just installing updates

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: tzdata 2016d-0ubuntu0.16.04
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: vboxpci vboxnetadp vboxnetflt vboxdrv wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  Date: Thu Apr 21 15:24:40 2016
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 128
  InstallationDate: Installed on 2014-11-09 (528 days ago)
  InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: tzdata
  Title: package tzdata 2016d-0ubuntu0.16.04 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 128
  UpgradeStatus: Upgraded to xenial on 2016-04-18 (3 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1573039/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1484367] Re: package tzdata 2015f-0ubuntu0.15.04 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128

2021-12-02 Thread Chris Guiver
** Changed in: tzdata (Ubuntu)
   Status: Confirmed => Incomplete

** Changed in: tzdata (nUbuntu)
   Status: New => Incomplete

** Changed in: tzdata (Ubuntu)
 Assignee: aubrey (alienaliceoz) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1484367

Title:
  package tzdata 2015f-0ubuntu0.15.04 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 128

Status in tzdata package in Ubuntu:
  Incomplete
Status in tzdata package in nUbuntu:
  Incomplete

Bug description:
  I don't know what is this

  ProblemType: Package
  DistroRelease: Ubuntu 15.04
  Package: tzdata 2015f-0ubuntu0.15.04
  ProcVersionSignature: Ubuntu 3.19.0-25.26-generic 3.19.8-ckt2
  Uname: Linux 3.19.0-25-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.17.2-0ubuntu1.2
  Architecture: amd64
  Date: Thu Aug 13 09:04:18 2015
  DuplicateSignature: package:tzdata:2015f-0ubuntu0.15.04:subprocess installed 
post-installation script returned error exit status 128
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 128
  InstallationDate: Installed on 2015-06-21 (52 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.17.25ubuntu1
   apt  1.0.9.7ubuntu4.1
  SourcePackage: tzdata
  Title: package tzdata 2015f-0ubuntu0.15.04 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1484367/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1633791] Re: package tzdata 2016g-0ubuntu0.16.04 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2021-12-02 Thread Chris Guiver
Thank you for reporting this bug to Ubuntu.

Ubuntu 16.04 (xenial) reached end-of-life on April 29, 2021 (excluding
ESM support).

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested
in discussing it any more. But if you are then please upgrade to the
latest Ubuntu version and re-test. If you then find the bug is still
present in the newer Ubuntu version, please add a comment here telling
us which new version it is in.

** Changed in: tzdata (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1633791

Title:
  package tzdata 2016g-0ubuntu0.16.04 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

Status in tzdata package in Ubuntu:
  Incomplete

Bug description:
  package tzdata 2016g-0ubuntu0.16.04 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: tzdata 2016g-0ubuntu0.16.04
  ProcVersionSignature: Ubuntu 4.4.0-42.62-generic 4.4.21
  Uname: Linux 4.4.0-42-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  Date: Sat Oct 15 21:22:58 2016
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 1
  InstallationDate: Installed on 2016-06-30 (107 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.12~ubuntu16.04.1
  SourcePackage: tzdata
  Title: package tzdata 2016g-0ubuntu0.16.04 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1633791/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953091] Re: package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade: installed tzdata package post-installation script subprocess returned error exit status 128

2021-12-02 Thread Chris Guiver
Thank you for taking the time to report this bug and helping to make
Ubuntu better.

Bug reporting is mostly about finding & fixing problems thus preventing
future users from hitting the same bug.

I suspect a Support site would be more appropriate, eg.
https://answers.launchpad.net/ubuntu. You can also find help with your
problem in the support forum of your local Ubuntu community
http://loco.ubuntu.com/ or asking at https://askubuntu.com or
https://ubuntuforums.org, or for more support options please look at
https://discourse.ubuntu.com/t/community-support/709

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1953091

Title:
  package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade:
  installed tzdata package post-installation script subprocess returned
  error exit status 128

Status in tzdata package in Ubuntu:
  New

Bug description:
  i dont know

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: tzdata 2021e-0ubuntu0.20.04
  ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
  Uname: Linux 5.11.0-41-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Dec  2 19:46:02 2021
  DuplicateSignature:
   package:tzdata:2021e-0ubuntu0.20.04
   Setting up tzdata (2021e-0ubuntu0.20.04) ...
   Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
   dpkg: error processing package tzdata (--configure):
installed tzdata package post-installation script subprocess returned error 
exit status 128
  ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
  InstallationDate: Installed on 2021-10-01 (62 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.10, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.6
  SourcePackage: tzdata
  Title: package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade: 
installed tzdata package post-installation script subprocess returned error 
exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1953091/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread Rik Mills
** Changed in: qtbase-opensource-src (Ubuntu)
   Status: Triaged => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Fix Committed

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953035] Re: blank screen after loging in ubuntu 22.04's wayland session at gnome-boxes

2021-12-02 Thread Daniel van Vugt
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It sounds like some part of the system has crashed. To
help us find the cause of the crash please follow these steps:

1. Look in /var/crash for crash files and if found run:
ubuntu-bug YOURFILE.crash
Then tell us the ID of the newly-created bug.

2. If step 1 failed then look at https://errors.ubuntu.com/user/ID where
ID is the content of file /var/lib/whoopsie/whoopsie-id on the machine.
Do you find any links to recent problems on that page? If so then please
send the links to us.

3. If step 2 also failed then apply the workaround from bug 994921,
reboot, reproduce the crash, and retry step 1.

Please take care to avoid attaching .crash files to bugs as we are
unable to process them as file attachments. It would also be a security
risk for yourself.


** Package changed: wayland (Ubuntu) => gnome-shell (Ubuntu)

** Changed in: gnome-shell (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1953035

Title:
  blank screen after loging in ubuntu 22.04's wayland session at gnome-
  boxes

Status in gnome-shell package in Ubuntu:
  Incomplete

Bug description:
  I have ubuntu 22.04 amd64 installed in a gnome-boxes virtual machine.
  The wayland session doesn't load (blank screen after login). X.Org
  session loads normally. The system is updated (up to 2nd december
  2021), but wayland session still doesn't load.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1953035/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953080] Re: mouse click is delaying and sometimes don't work

2021-12-02 Thread Daniel van Vugt
Thanks for the bug report.

First please remove any extensions you might have locally installed:

  cd ~/.local/share/gnome-shell/
  rm -rf extensions

and then log in again.

Next time the "delaying" starts please hit Ctrl+Alt+T to open a Terminal
and then run 'top' to see what process is using high CPU.

Please also look at bug 1181666 to see if it's the same issue.

** Package changed: xorg (Ubuntu) => gnome-shell (Ubuntu)

** Changed in: gnome-shell (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1953080

Title:
  mouse click is delaying and sometimes don't work

Status in gnome-shell package in Ubuntu:
  Incomplete

Bug description:
  mouse moves ok and the screen response once the pointer move over
  objects, however click is delaying and sometimes don't work. It
  started after reboot the pc

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
  Uname: Linux 5.11.0-41-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Dec  2 18:58:50 2021
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 5500 [1028:06ae]
 Subsystem: Dell GK208BM [GeForce 920M] [1028:06ae]
  InstallationDate: Installed on 2021-09-14 (79 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  MachineType: Dell Inc. Inspiron 5558
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-41-generic 
root=UUID=30d45559-17fa-47f8-9be7-c1b201d675c3 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/14/2019
  dmi.bios.release: 65.17
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A17
  dmi.board.name: 08PK6D
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA17:bd05/14/2019:br65.17:svnDellInc.:pnInspiron5558:pvr:sku06AE:rvnDellInc.:rn08PK6D:rvrA02:cvnDellInc.:ct9:cvr:
  dmi.product.name: Inspiron 5558
  dmi.product.sku: 06AE
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.105-3~20.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1953080/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953081] Re: mouse click is delaying and sometimes don't work

2021-12-02 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1953080 ***
https://bugs.launchpad.net/bugs/1953080

** This bug has been marked a duplicate of bug 1953080
   mouse click is delaying and sometimes don't work

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1953081

Title:
  mouse click is delaying and sometimes don't work

Status in xorg package in Ubuntu:
  New

Bug description:
  mouse moves ok and the screen response once the pointer move over
  objects, however click is delaying and sometimes don't work. It
  started after reboot the pc

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
  Uname: Linux 5.11.0-41-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Dec  2 18:58:50 2021
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 5500 [1028:06ae]
 Subsystem: Dell GK208BM [GeForce 920M] [1028:06ae]
  InstallationDate: Installed on 2021-09-14 (79 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  MachineType: Dell Inc. Inspiron 5558
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-41-generic 
root=UUID=30d45559-17fa-47f8-9be7-c1b201d675c3 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/14/2019
  dmi.bios.release: 65.17
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A17
  dmi.board.name: 08PK6D
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA17:bd05/14/2019:br65.17:svnDellInc.:pnInspiron5558:pvr:sku06AE:rvnDellInc.:rn08PK6D:rvrA02:cvnDellInc.:ct9:cvr:
  dmi.product.name: Inspiron 5558
  dmi.product.sku: 06AE
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.105-3~20.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1953081/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953091] [NEW] package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade: installed tzdata package post-installation script subprocess returned error exit status 128

2021-12-02 Thread Savana Tezza Borges
Public bug reported:

i dont know

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: tzdata 2021e-0ubuntu0.20.04
ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
Uname: Linux 5.11.0-41-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.21
Architecture: amd64
CasperMD5CheckResult: skip
Date: Thu Dec  2 19:46:02 2021
DuplicateSignature:
 package:tzdata:2021e-0ubuntu0.20.04
 Setting up tzdata (2021e-0ubuntu0.20.04) ...
 Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
 dpkg: error processing package tzdata (--configure):
  installed tzdata package post-installation script subprocess returned error 
exit status 128
ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
InstallationDate: Installed on 2021-10-01 (62 days ago)
InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
PackageArchitecture: all
Python3Details: /usr/bin/python3.8, Python 3.8.10, python3-minimal, 
3.8.2-0ubuntu2
PythonDetails: N/A
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt  2.0.6
SourcePackage: tzdata
Title: package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade: installed 
tzdata package post-installation script subprocess returned error exit status 
128
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: tzdata (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package focal need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tzdata in Ubuntu.
https://bugs.launchpad.net/bugs/1953091

Title:
  package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade:
  installed tzdata package post-installation script subprocess returned
  error exit status 128

Status in tzdata package in Ubuntu:
  New

Bug description:
  i dont know

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: tzdata 2021e-0ubuntu0.20.04
  ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
  Uname: Linux 5.11.0-41-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Dec  2 19:46:02 2021
  DuplicateSignature:
   package:tzdata:2021e-0ubuntu0.20.04
   Setting up tzdata (2021e-0ubuntu0.20.04) ...
   Use of uninitialized value $ret in string eq at 
/usr/share/perl5/Debconf/FrontEnd/Passthrough.pm line 134.
   dpkg: error processing package tzdata (--configure):
installed tzdata package post-installation script subprocess returned error 
exit status 128
  ErrorMessage: installed tzdata package post-installation script subprocess 
returned error exit status 128
  InstallationDate: Installed on 2021-10-01 (62 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.10, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.6
  SourcePackage: tzdata
  Title: package tzdata 2021e-0ubuntu0.20.04 failed to install/upgrade: 
installed tzdata package post-installation script subprocess returned error 
exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tzdata/+bug/1953091/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953080] Re: mouse click is delaying and sometimes don't work

2021-12-02 Thread Ubuntu Foundations Team Bug Bot
** Package changed: ubuntu => xorg (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1953080

Title:
  mouse click is delaying and sometimes don't work

Status in xorg package in Ubuntu:
  New

Bug description:
  mouse moves ok and the screen response once the pointer move over
  objects, however click is delaying and sometimes don't work. It
  started after reboot the pc

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
  Uname: Linux 5.11.0-41-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Dec  2 18:58:50 2021
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 5500 [1028:06ae]
 Subsystem: Dell GK208BM [GeForce 920M] [1028:06ae]
  InstallationDate: Installed on 2021-09-14 (79 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  MachineType: Dell Inc. Inspiron 5558
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-41-generic 
root=UUID=30d45559-17fa-47f8-9be7-c1b201d675c3 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/14/2019
  dmi.bios.release: 65.17
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A17
  dmi.board.name: 08PK6D
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA17:bd05/14/2019:br65.17:svnDellInc.:pnInspiron5558:pvr:sku06AE:rvnDellInc.:rn08PK6D:rvrA02:cvnDellInc.:ct9:cvr:
  dmi.product.name: Inspiron 5558
  dmi.product.sku: 06AE
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.105-3~20.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1953080/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953081] Re: mouse click is delaying and sometimes don't work

2021-12-02 Thread Ubuntu Foundations Team Bug Bot
** Package changed: ubuntu => xorg (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1953081

Title:
  mouse click is delaying and sometimes don't work

Status in xorg package in Ubuntu:
  New

Bug description:
  mouse moves ok and the screen response once the pointer move over
  objects, however click is delaying and sometimes don't work. It
  started after reboot the pc

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
  Uname: Linux 5.11.0-41-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Dec  2 18:58:50 2021
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 5500 [1028:06ae]
 Subsystem: Dell GK208BM [GeForce 920M] [1028:06ae]
  InstallationDate: Installed on 2021-09-14 (79 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  MachineType: Dell Inc. Inspiron 5558
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-41-generic 
root=UUID=30d45559-17fa-47f8-9be7-c1b201d675c3 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/14/2019
  dmi.bios.release: 65.17
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A17
  dmi.board.name: 08PK6D
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA17:bd05/14/2019:br65.17:svnDellInc.:pnInspiron5558:pvr:sku06AE:rvnDellInc.:rn08PK6D:rvrA02:cvnDellInc.:ct9:cvr:
  dmi.product.name: Inspiron 5558
  dmi.product.sku: 06AE
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.105-3~20.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1953081/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1951214] Re: ubuntu-bug isn't opening firefox (snap) on jammy, instead gedit gets data

2021-12-02 Thread Brian Murray
Actually, this doesn't really need fixing in Impish because one would
have to modify /etc/apport/crashdb.conf so that crashes could be
reported to Launchpad and we don't really want crash reports from stable
releases in Launchpad.

** Changed in: apport (Ubuntu Impish)
   Status: Triaged => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1951214

Title:
  ubuntu-bug isn't opening firefox (snap) on jammy, instead gedit gets
  data

Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Impish:
  Won't Fix
Status in apport source package in Jammy:
  Fix Released

Bug description:
  This has been reported before on Ubuntu Community Hub, but I want/need
  a bug report filed on launchpad to report/track on iso.qa.ubuntu.com

  On a `ubuntu-bug` or apport opening up a bug report; a gedit window
  opens with

  ---
  
  
OpenID transaction in progress
  
  
  https://login.launchpad.net/+openid; method="post" 
accept-charset="UTF-8" enctype="application/x-www-form-urlencoded">http://openid.net/extensions/sreg/1.1"/>https://launchpad.net/+openid-callback?starting_url=https%3A%2F%2Fbugs.launchpad.net%2Fsubiquity%2F%2Bfilebug%2Ff55a6274-4767-11ec-a1ce-d485646cd9a4%3Ffield.title%3Dinstall%2Bfailed%2Bcrashed%2Bwith%2BCalledProcessErrorjanrain_nonce=2021-11-17T05%3A34%3A05Zo24b46"/>https://launchpad.net/"/>http://specs.openid.net/auth/2.0/identifier_select"/>http://specs.openid.net/auth/2.0"/>http://specs.openid.net/auth/2.0/identifier_select"/>
  
  var elements = document.forms[0].elements;
  for (var i = 0; i < elements.length; i++) {
elements[i].style.display = "none";
  }
  
  
  
  ---

  this is detail that belongs in `firefox` and not `gedit` ... ie. bug.

  This issue is NOT new.

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: apport 2.20.11-0ubuntu73
  ProcVersionSignature: Ubuntu 5.13.0-19.19-generic 5.13.14
  Uname: Linux 5.13.0-19-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportLog:
   ERROR: apport (pid 2820) Wed Nov 17 16:33:33 2021: called for pid 2593, 
signal 11, core limit 0, dump mode 1
   ERROR: apport (pid 2820) Wed Nov 17 16:33:33 2021: executable: 
/snap/ubuntu-desktop-installer/171/bin/ubuntu_desktop_installer (command line 
"/snap/ubuntu-desktop-installer/171/bin/ubuntu_desktop_installer")
   ERROR: apport (pid 2820) Wed Nov 17 16:33:33 2021: executable does not 
belong to a package, ignoring
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CasperVersion: 1.465+canary3.3
  CrashReports:
   644:0:0:30:2021-11-17 16:33:08.496906043 +1100:2021-11-17 16:33:08.496906043 
+1100:/var/crash/1637127188.494807005.install_fail.meta
   640:0:0:726809:2021-11-17 16:33:41.277731657 +1100:2021-11-17 
16:33:42.277731657 +1100:/var/crash/1637127188.494807005.install_fail.crash
   644:0:0:0:2021-11-17 16:33:45.953817607 +1100:2021-11-17 16:33:45.953817607 
+1100:/var/crash/1637127188.494807005.install_fail.upload
   600:116:123:5:2021-11-17 16:48:24.898416884 +1100:2021-11-17 
16:33:45.953817607 +1100:/var/crash/1637127188.494807005.install_fail.uploaded
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Nov 17 16:52:32 2021
  LiveMediaBuild: Ubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 (2026)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=C.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1951214/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953080] [NEW] mouse click is delaying and sometimes don't work

2021-12-02 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

mouse moves ok and the screen response once the pointer move over
objects, however click is delaying and sometimes don't work. It started
after reboot the pc

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
Uname: Linux 5.11.0-41-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.21
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Thu Dec  2 18:58:50 2021
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
   Subsystem: Dell HD Graphics 5500 [1028:06ae]
   Subsystem: Dell GK208BM [GeForce 920M] [1028:06ae]
InstallationDate: Installed on 2021-09-14 (79 days ago)
InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
MachineType: Dell Inc. Inspiron 5558
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-41-generic 
root=UUID=30d45559-17fa-47f8-9be7-c1b201d675c3 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/14/2019
dmi.bios.release: 65.17
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A17
dmi.board.name: 08PK6D
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: 
dmi:bvnDellInc.:bvrA17:bd05/14/2019:br65.17:svnDellInc.:pnInspiron5558:pvr:sku06AE:rvnDellInc.:rn08PK6D:rvrA02:cvnDellInc.:ct9:cvr:
dmi.product.name: Inspiron 5558
dmi.product.sku: 06AE
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.105-3~20.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.2
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal performance ubuntu
-- 
mouse click is delaying and sometimes don't work
https://bugs.launchpad.net/bugs/1953080
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to xorg in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953081] [NEW] mouse click is delaying and sometimes don't work

2021-12-02 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

mouse moves ok and the screen response once the pointer move over
objects, however click is delaying and sometimes don't work. It started
after reboot the pc

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.11.0-41.45~20.04.1-generic 5.11.22
Uname: Linux 5.11.0-41-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.21
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Thu Dec  2 18:58:50 2021
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
   Subsystem: Dell HD Graphics 5500 [1028:06ae]
   Subsystem: Dell GK208BM [GeForce 920M] [1028:06ae]
InstallationDate: Installed on 2021-09-14 (79 days ago)
InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
MachineType: Dell Inc. Inspiron 5558
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-41-generic 
root=UUID=30d45559-17fa-47f8-9be7-c1b201d675c3 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/14/2019
dmi.bios.release: 65.17
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A17
dmi.board.name: 08PK6D
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: 
dmi:bvnDellInc.:bvrA17:bd05/14/2019:br65.17:svnDellInc.:pnInspiron5558:pvr:sku06AE:rvnDellInc.:rn08PK6D:rvrA02:cvnDellInc.:ct9:cvr:
dmi.product.name: Inspiron 5558
dmi.product.sku: 06AE
dmi.sys.vendor: Dell Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.105-3~20.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.2
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal performance ubuntu
-- 
mouse click is delaying and sometimes don't work
https://bugs.launchpad.net/bugs/1953081
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to xorg in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952421] Re: Issue on sshd finds correct private key for a certificate when using ssh-agent

2021-12-02 Thread Launchpad Bug Tracker
** Merge proposal linked:
   
https://code.launchpad.net/~kajiya/ubuntu/+source/openssh/+git/openssh/+merge/412723

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1952421

Title:
  Issue on sshd finds correct private key for a certificate when using
  ssh-agent

Status in openssh package in Ubuntu:
  Fix Released
Status in openssh source package in Focal:
  New
Status in openssh source package in Hirsute:
  New
Status in openssh source package in Impish:
  Fix Committed

Bug description:
  Reported as https://bugzilla.mindrot.org/show_bug.cgi?id=3254 upstream

  [Impact]

   * HostCertificate and HostKeyAgent are not working together in sshd due 
 to a mismatched certificate's public key and private key. The function `  
`sshkey_equal_public()`` incorrectly compares the certificate's public 
key with a private key, never finding a match. The impact is that sshd 
cannot use said certificate *even though* its private key is indeed in 
ssh-agent.

  * What it should do is compare the certificate's public key with a
  public key in `sensitive_data`.

  * Having this SRU-ed is a direct ask from one of the major cloud partners. 
They are currently using a customised version of the package to work 
around this issue, and we would like them to use a package directly from 
our own archive.

   * Looping through sensitive_data.host_pubkeys[j] *instead* of 
 sensitive_data.host_keys[j] fixes the issue

  [https://github.com/openssh/openssh-portable/blob/V_8_4/sshd.c#L1936]

  /* Find matching private key */
   for (j = 0; j < options.num_host_key_files; j++) {
    if (sshkey_equal_public(key,
     sensitive_data.host_keys[j])) {
     sensitive_data.host_certificates[j] = key;
  break;
     }
   }

  vs.

  /* Find matching private key */
   for (j = 0; j < options.num_host_key_files; j++) {
    if (sshkey_equal_public(key,
     sensitive_data.host_pubkeys[j])) {
     sensitive_data.host_certificates[j] = key;
  break;
     }
   }
   

  [Test Plan]

   * Due to the empirical nature of this bug, the test is quite straight 
 forward. *Without* the fix, one cannot use certificates to authenticate 
 successfully (e.g. ``sshd -c /path/to/certificate.pem``)
 whereas with the fix (assuming the certificate matches a host key) you 
 can create a channel.
 
  [Where problems could occur]

   * This has already been fixed both upstream and in Jammy without issue. 
 However, if a regression where to happen it would probably be in one of 
 two ways:
   
   * A dependency/reverse-dependency issue stemming from the version 
 bump that will happen if this fix is ported. We mitigate this risk 
 by testing for these exact types of regression, 
 and by selecting carefully what to label this new version.
 
   * Accidentally breaking a set up that was made to work around this 
 bug in the first place. The risk of this is lower, as the most 
 likely fix is the one being implemented here anyway.  Though
 to mitigate this more we can describe exactly what is happening 
 with the fix in the changelog.

  
  This affects every version of openssh back until Focal, at least.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1952421/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953052] Re: In Jammy sound level reset after reboot

2021-12-02 Thread Sebastien Bacher
Saving the state and restoring it is alsa's job, gnome-control-center
isn't a service and not doing anything when not started

** Summary changed:

- In Jammy gnome-control-center sound reset after reboot
+ In Jammy sound level reset after reboot

** Package changed: gnome-control-center (Ubuntu) => alsa-utils (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1953052

Title:
  In Jammy sound level reset after reboot

Status in alsa-utils package in Ubuntu:
  New

Bug description:
  After reboot sound level is reset ignoring the level set in previous
  session.

  I manually set the sound output level 
  at next boot the sound is set at a different level (about 70%)

  Expected: the sound level is persistent across power off/on

  What happens : sound level is set at a different level (about 70%)

  Note: this problem does not occur on different partitions of same PC
  running Ubuntu 20.04 or 21.10

  corrado@corrado-p3-jj-1130:~$ apt policy gnome-control-center
  gnome-control-center:
Installed: 1:41.1-1ubuntu1
Candidate: 1:41.1-1ubuntu1
Version table:
   *** 1:41.1-1ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu jammy/main amd64 Packages
  100 /var/lib/dpkg/status
  corrado@corrado-p3-jj-1130:~$ inxi -Fx
  System:Host: corrado-p3-jj-1130 Kernel: 5.13.0-19-generic x86_64 bits: 64 
compiler: gcc v: 11.2.0
 Desktop: GNOME 40.5 Distro: Ubuntu 22.04 (Jammy Jellyfish)
  Machine:   Type: Laptop System: Dell product: Inspiron 3793 v: N/A serial: 

 Mobo: Dell model: 0C1PF2 v: A00 serial:  UEFI: 
Dell v: 1.5.0 date: 12/17/2019
  Battery:   ID-1: BAT0 charge: 13.9 Wh (42.1%) condition: 33.0/42.0 Wh (78.7%) 
volts: 11.3 min: 11.4
 model: SWD-ATL3.618 DELL WJPC403 status: Discharging
  CPU:   Info: Quad Core model: Intel Core i5-1035G1 bits: 64 type: MT MCP 
arch: Ice Lake rev: 5 cache:
 L2: 6 MiB
 flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx 
bogomips: 19046
 Speed: 968 MHz min/max: 400/1000 MHz Core speeds (MHz): 1: 968 2: 
710 3: 706 4: 714 5: 966 6: 712
 7: 724 8: 821
  Graphics:  Device-1: Intel Iris Plus Graphics G1 vendor: Dell driver: i915 v: 
kernel bus-ID: 00:02.0
 Device-2: Realtek Integrated_Webcam_HD type: USB driver: uvcvideo 
bus-ID: 1-6:3
 Display: wayland server: X.Org 1.21.1.2 compositor: gnome-shell 
driver: loaded: i915
 note: n/a (using device driver) resolution: 1920x1080~60Hz
 OpenGL: renderer: Mesa Intel UHD Graphics (ICL GT1) v: 4.6 Mesa 
21.2.2 direct render: Yes
  Audio: Device-1: Intel Ice Lake-LP Smart Sound Audio vendor: Dell driver: 
snd_hda_intel v: kernel
 bus-ID: 00:1f.3
 Sound Server-1: ALSA v: k5.13.0-19-generic running: yes
 Sound Server-2: PulseAudio v: 15.0 running: yes
 Sound Server-3: PipeWire v: 0.3.40 running: yes
  Network:   Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: Dell 
driver: r8169 v: kernel port: 3000
 bus-ID: 01:00.0
 IF: enp1s0 state: down mac: 98:e7:43:59:19:19
 Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network 
Adapter vendor: Dell driver: ath10k_pci
 v: kernel bus-ID: 02:00.0
 IF: wlp2s0 state: up mac: d8:12:65:b8:21:b9
  Bluetooth: Device-1: Qualcomm Atheros type: USB driver: btusb v: 0.8 bus-ID: 
1-10:4
 Report: hciconfig ID: hci0 rfk-id: 0 state: down bt-service: 
enabled,running rfk-block: hardware: no
 software: yes address: D8:12:65:B8:21:BA
  Drives:Local Storage: total: 942.7 GiB used: 11.77 GiB (1.2%)
 ID-1: /dev/nvme0n1 vendor: Toshiba model: KBG40ZNS512G NVMe KIOXIA 
512GB size: 476.94 GiB temp: 24.9 C
 ID-2: /dev/sda vendor: Crucial model: CT500MX500SSD1 size: 465.76 
GiB
  Partition: ID-1: / size: 46.95 GiB used: 11.73 GiB (25.0%) fs: ext4 dev: 
/dev/nvme0n1p3
 ID-2: /boot/efi size: 246 MiB used: 46.4 MiB (18.9%) fs: vfat dev: 
/dev/nvme0n1p1
  Swap:  Alert: No swap data was found.
  Sensors:   System Temperatures: cpu: 27.8 C mobo: N/A
 Fan Speeds (RPM): cpu: 0
  Info:  Processes: 263 Uptime: 31m Memory: 15.4 GiB used: 2.45 GiB (15.9%) 
Init: systemd runlevel: 5 Compilers:
 gcc: N/A Packages: 1785 Shell: Bash v: 5.1.12 inxi: 3.3.07
  corrado@corrado-p3-jj-1130:~$
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu74
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 22.04
  InstallationDate: Installed on 2021-11-30 (2 days ago)
  InstallationMedia: Ubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 (20211130)
  Package: gnome-control-center 1:41.1-1ubuntu1
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 5.13.0-19.19-generic 

[Touch-packages] [Bug 1953052] [NEW] In Jammy sound level reset after reboot

2021-12-02 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

After reboot sound level is reset ignoring the level set in previous
session.

I manually set the sound output level 
at next boot the sound is set at a different level (about 70%)

Expected: the sound level is persistent across power off/on

What happens : sound level is set at a different level (about 70%)

Note: this problem does not occur on different partitions of same PC
running Ubuntu 20.04 or 21.10

corrado@corrado-p3-jj-1130:~$ apt policy gnome-control-center
gnome-control-center:
  Installed: 1:41.1-1ubuntu1
  Candidate: 1:41.1-1ubuntu1
  Version table:
 *** 1:41.1-1ubuntu1 500
500 http://archive.ubuntu.com/ubuntu jammy/main amd64 Packages
100 /var/lib/dpkg/status
corrado@corrado-p3-jj-1130:~$ inxi -Fx
System:Host: corrado-p3-jj-1130 Kernel: 5.13.0-19-generic x86_64 bits: 64 
compiler: gcc v: 11.2.0
   Desktop: GNOME 40.5 Distro: Ubuntu 22.04 (Jammy Jellyfish)
Machine:   Type: Laptop System: Dell product: Inspiron 3793 v: N/A serial: 

   Mobo: Dell model: 0C1PF2 v: A00 serial:  UEFI: 
Dell v: 1.5.0 date: 12/17/2019
Battery:   ID-1: BAT0 charge: 13.9 Wh (42.1%) condition: 33.0/42.0 Wh (78.7%) 
volts: 11.3 min: 11.4
   model: SWD-ATL3.618 DELL WJPC403 status: Discharging
CPU:   Info: Quad Core model: Intel Core i5-1035G1 bits: 64 type: MT MCP 
arch: Ice Lake rev: 5 cache:
   L2: 6 MiB
   flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx 
bogomips: 19046
   Speed: 968 MHz min/max: 400/1000 MHz Core speeds (MHz): 1: 968 2: 
710 3: 706 4: 714 5: 966 6: 712
   7: 724 8: 821
Graphics:  Device-1: Intel Iris Plus Graphics G1 vendor: Dell driver: i915 v: 
kernel bus-ID: 00:02.0
   Device-2: Realtek Integrated_Webcam_HD type: USB driver: uvcvideo 
bus-ID: 1-6:3
   Display: wayland server: X.Org 1.21.1.2 compositor: gnome-shell 
driver: loaded: i915
   note: n/a (using device driver) resolution: 1920x1080~60Hz
   OpenGL: renderer: Mesa Intel UHD Graphics (ICL GT1) v: 4.6 Mesa 
21.2.2 direct render: Yes
Audio: Device-1: Intel Ice Lake-LP Smart Sound Audio vendor: Dell driver: 
snd_hda_intel v: kernel
   bus-ID: 00:1f.3
   Sound Server-1: ALSA v: k5.13.0-19-generic running: yes
   Sound Server-2: PulseAudio v: 15.0 running: yes
   Sound Server-3: PipeWire v: 0.3.40 running: yes
Network:   Device-1: Realtek RTL810xE PCI Express Fast Ethernet vendor: Dell 
driver: r8169 v: kernel port: 3000
   bus-ID: 01:00.0
   IF: enp1s0 state: down mac: 98:e7:43:59:19:19
   Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter 
vendor: Dell driver: ath10k_pci
   v: kernel bus-ID: 02:00.0
   IF: wlp2s0 state: up mac: d8:12:65:b8:21:b9
Bluetooth: Device-1: Qualcomm Atheros type: USB driver: btusb v: 0.8 bus-ID: 
1-10:4
   Report: hciconfig ID: hci0 rfk-id: 0 state: down bt-service: 
enabled,running rfk-block: hardware: no
   software: yes address: D8:12:65:B8:21:BA
Drives:Local Storage: total: 942.7 GiB used: 11.77 GiB (1.2%)
   ID-1: /dev/nvme0n1 vendor: Toshiba model: KBG40ZNS512G NVMe KIOXIA 
512GB size: 476.94 GiB temp: 24.9 C
   ID-2: /dev/sda vendor: Crucial model: CT500MX500SSD1 size: 465.76 GiB
Partition: ID-1: / size: 46.95 GiB used: 11.73 GiB (25.0%) fs: ext4 dev: 
/dev/nvme0n1p3
   ID-2: /boot/efi size: 246 MiB used: 46.4 MiB (18.9%) fs: vfat dev: 
/dev/nvme0n1p1
Swap:  Alert: No swap data was found.
Sensors:   System Temperatures: cpu: 27.8 C mobo: N/A
   Fan Speeds (RPM): cpu: 0
Info:  Processes: 263 Uptime: 31m Memory: 15.4 GiB used: 2.45 GiB (15.9%) 
Init: systemd runlevel: 5 Compilers:
   gcc: N/A Packages: 1785 Shell: Bash v: 5.1.12 inxi: 3.3.07
corrado@corrado-p3-jj-1130:~$
--- 
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu74
Architecture: amd64
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 22.04
InstallationDate: Installed on 2021-11-30 (2 days ago)
InstallationMedia: Ubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 (20211130)
Package: gnome-control-center 1:41.1-1ubuntu1
PackageArchitecture: amd64
ProcVersionSignature: Ubuntu 5.13.0-19.19-generic 5.13.14
Tags:  wayland-session jammy
Uname: Linux 5.13.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True

** Affects: alsa-utils (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: apport-collected jammy wayland-session
-- 
In Jammy sound level reset after reboot
https://bugs.launchpad.net/bugs/1953052
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to alsa-utils in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : 

[Touch-packages] [Bug 1953065] Re: 2.13.0 FTBFS

2021-12-02 Thread Andreas Hasenack
** Changed in: ust (Ubuntu)
 Assignee: (unassigned) => Andreas Hasenack (ahasenack)

** Changed in: ust (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ust in Ubuntu.
https://bugs.launchpad.net/bugs/1953065

Title:
  2.13.0 FTBFS

Status in LTTng-UST:
  Unknown
Status in ust package in Ubuntu:
  In Progress

Bug description:
  I tried to merge ust from debian into ubuntu, to fix a build-time
  dependency, but stumbled on an FTBFS with that version.

  I filed upstream bug at https://bugs.lttng.org/issues/1337

  It basically happens in some new test cases that were added in 2.13.0
  and crash when we build it using our default -Wl,-Bsymbolic-flags
  linker option, which we have been using for years in Ubuntu.

  Here is the testsuite log output:
  
 lttng-ust 2.14.0-pre: tests/test-suite.log
  

  # TOTAL: 246
  # PASS:  241
  # SKIP:  0
  # XFAIL: 0
  # FAIL:  4
  # XPASS: 0
  # ERROR: 1

  .. contents:: :depth: 2

  ERROR: regression/abi0-conflict/test_abi0_conflict
  ==

  1..22
  # LD_PRELOAD
  # regression/abi0-conflict/test_abi0_conflict: LD_PRELOAD
  ok 1 - LD_PRELOAD: no-ust app works
  PASS: regression/abi0-conflict/test_abi0_conflict 1 - LD_PRELOAD: no-ust app 
works
  ok 2 - LD_PRELOAD: no-ust app with abi0 preload succeeds
  PASS: regression/abi0-conflict/test_abi0_conflict 2 - LD_PRELOAD: no-ust app 
with abi0 preload succeeds
  ./regression/abi0-conflict/test_abi0_conflict: line 56: 592651 Aborted
 (core dumped) LD_PRELOAD="${LIBFAKEUST0}:${LIBUST1}" 
"${CURDIR}/app_noust" > "$STD_OUTPUT" 2> "$STD_ERROR"
  ok 3 - LD_PRELOAD: no-ust app with abi0 and abi1 preload fails
  PASS: regression/abi0-conflict/test_abi0_conflict 3 - LD_PRELOAD: no-ust app 
with abi0 and abi1 preload fails
  ./regression/abi0-conflict/test_abi0_conflict: line 59: 592652 Aborted
 (core dumped) LD_PRELOAD="${LIBUST1}:${LIBFAKEUST0}" 
"${CURDIR}/app_noust" > "$STD_OUTPUT" 2> "$STD_ERROR"
  ok 4 - LD_PRELOAD: no-ust app with abi1 and abi0 preload fails
  PASS: regression/abi0-conflict/test_abi0_conflict 4 - LD_PRELOAD: no-ust app 
with abi1 and abi0 preload fails
  ok 5 - LD_PRELOAD: ust app works
  PASS: regression/abi0-conflict/test_abi0_conflict 5 - LD_PRELOAD: ust app 
works
  ./regression/abi0-conflict/test_abi0_conflict: line 68: 592669 Aborted
 (core dumped) LD_PRELOAD="${LIBFAKEUST0}" "${CURDIR}/app_ust" > 
"$STD_OUTPUT" 2> "$STD_ERROR"
  ok 6 - LD_PRELOAD: ust app with abi0 preload fails
  PASS: regression/abi0-conflict/test_abi0_conflict 6 - LD_PRELOAD: ust app 
with abi0 preload fails
  ./regression/abi0-conflict/test_abi0_conflict: line 71: 592683 Aborted
 (core dumped) LD_PRELOAD="${LIBFAKEUST0}:${LIBUST1}" 
"${CURDIR}/app_ust" > "$STD_OUTPUT" 2> "$STD_ERROR"
  ok 7 - LD_PRELOAD: ust app with abi0 and abi1 preload fails
  PASS: regression/abi0-conflict/test_abi0_conflict 7 - LD_PRELOAD: ust app 
with abi0 and abi1 preload fails
  ./regression/abi0-conflict/test_abi0_conflict: line 74: 592684 Aborted
 (core dumped) LD_PRELOAD="${LIBUST1}:${LIBFAKEUST0}" 
"${CURDIR}/app_ust" > "$STD_OUTPUT" 2> "$STD_ERROR"
  ok 8 - LD_PRELOAD: ust app with abi1 and abi0 preload fails
  PASS: regression/abi0-conflict/test_abi0_conflict 8 - LD_PRELOAD: ust app 
with abi1 and abi0 preload fails
  # dlopen
  # regression/abi0-conflict/test_abi0_conflict: dlopen
  ok 9 - dlopen: no-ust app works
  PASS: regression/abi0-conflict/test_abi0_conflict 9 - dlopen: no-ust app works
  ok 10 - dlopen: no-ust app with abi1 and abi1 succeeds
  PASS: regression/abi0-conflict/test_abi0_conflict 10 - dlopen: no-ust app 
with abi1 and abi1 succeeds
  ./regression/abi0-conflict/test_abi0_conflict: line 92: 592689 Aborted
 (core dumped) LD_LIBRARY_PATH="$LIBFAKEUST0_PATH:$LIBUST1_PATH" 
"${CURDIR}/app_noust_dlopen" abi0_abi1 > "$STD_OUTPUT" 2> "$STD_ERROR"
  ok 11 - dlopen: no-ust app with abi0 and abi1 fails
  PASS: regression/abi0-conflict/test_abi0_conflict 11 - dlopen: no-ust app 
with abi0 and abi1 fails
  not ok 12 - dlopen: no-ust app with abi1 and abi0 fails
  FAIL: regression/abi0-conflict/test_abi0_conflict 12 - dlopen: no-ust app 
with abi1 and abi0 fails
  #   Failed test 'dlopen: no-ust app with abi1 and abi0 fails'
  # regression/abi0-conflict/test_abi0_conflict: Failed test 'dlopen: no-ust 
app with abi1 and abi0 fails'
  #   in /home/ubuntu/git/packages/ust/lttng-ust/tests/utils/tap.sh:isnt() at 
line 300.
  # regression/abi0-conflict/test_abi0_conflict: in 
/home/ubuntu/git/packages/ust/lttng-ust/tests/utils/tap.sh:isnt() at line 300.
  #  got: '0'
  # regression/abi0-conflict/test_abi0_conflict: got: '0'
  # expected: '0'
  # 

[Touch-packages] [Bug 1953065] [NEW] 2.13.0 FTBFS

2021-12-02 Thread Andreas Hasenack
Public bug reported:

I tried to merge ust from debian into ubuntu, to fix a build-time
dependency, but stumbled on an FTBFS with that version.

I filed upstream bug at https://bugs.lttng.org/issues/1337

It basically happens in some new test cases that were added in 2.13.0
and crash when we build it using our default -Wl,-Bsymbolic-flags linker
option, which we have been using for years in Ubuntu.

Here is the testsuite log output:

   lttng-ust 2.14.0-pre: tests/test-suite.log


# TOTAL: 246
# PASS:  241
# SKIP:  0
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 1

.. contents:: :depth: 2

ERROR: regression/abi0-conflict/test_abi0_conflict
==

1..22
# LD_PRELOAD
# regression/abi0-conflict/test_abi0_conflict: LD_PRELOAD
ok 1 - LD_PRELOAD: no-ust app works
PASS: regression/abi0-conflict/test_abi0_conflict 1 - LD_PRELOAD: no-ust app 
works
ok 2 - LD_PRELOAD: no-ust app with abi0 preload succeeds
PASS: regression/abi0-conflict/test_abi0_conflict 2 - LD_PRELOAD: no-ust app 
with abi0 preload succeeds
./regression/abi0-conflict/test_abi0_conflict: line 56: 592651 Aborted  
   (core dumped) LD_PRELOAD="${LIBFAKEUST0}:${LIBUST1}" 
"${CURDIR}/app_noust" > "$STD_OUTPUT" 2> "$STD_ERROR"
ok 3 - LD_PRELOAD: no-ust app with abi0 and abi1 preload fails
PASS: regression/abi0-conflict/test_abi0_conflict 3 - LD_PRELOAD: no-ust app 
with abi0 and abi1 preload fails
./regression/abi0-conflict/test_abi0_conflict: line 59: 592652 Aborted  
   (core dumped) LD_PRELOAD="${LIBUST1}:${LIBFAKEUST0}" 
"${CURDIR}/app_noust" > "$STD_OUTPUT" 2> "$STD_ERROR"
ok 4 - LD_PRELOAD: no-ust app with abi1 and abi0 preload fails
PASS: regression/abi0-conflict/test_abi0_conflict 4 - LD_PRELOAD: no-ust app 
with abi1 and abi0 preload fails
ok 5 - LD_PRELOAD: ust app works
PASS: regression/abi0-conflict/test_abi0_conflict 5 - LD_PRELOAD: ust app works
./regression/abi0-conflict/test_abi0_conflict: line 68: 592669 Aborted  
   (core dumped) LD_PRELOAD="${LIBFAKEUST0}" "${CURDIR}/app_ust" > 
"$STD_OUTPUT" 2> "$STD_ERROR"
ok 6 - LD_PRELOAD: ust app with abi0 preload fails
PASS: regression/abi0-conflict/test_abi0_conflict 6 - LD_PRELOAD: ust app with 
abi0 preload fails
./regression/abi0-conflict/test_abi0_conflict: line 71: 592683 Aborted  
   (core dumped) LD_PRELOAD="${LIBFAKEUST0}:${LIBUST1}" "${CURDIR}/app_ust" 
> "$STD_OUTPUT" 2> "$STD_ERROR"
ok 7 - LD_PRELOAD: ust app with abi0 and abi1 preload fails
PASS: regression/abi0-conflict/test_abi0_conflict 7 - LD_PRELOAD: ust app with 
abi0 and abi1 preload fails
./regression/abi0-conflict/test_abi0_conflict: line 74: 592684 Aborted  
   (core dumped) LD_PRELOAD="${LIBUST1}:${LIBFAKEUST0}" "${CURDIR}/app_ust" 
> "$STD_OUTPUT" 2> "$STD_ERROR"
ok 8 - LD_PRELOAD: ust app with abi1 and abi0 preload fails
PASS: regression/abi0-conflict/test_abi0_conflict 8 - LD_PRELOAD: ust app with 
abi1 and abi0 preload fails
# dlopen
# regression/abi0-conflict/test_abi0_conflict: dlopen
ok 9 - dlopen: no-ust app works
PASS: regression/abi0-conflict/test_abi0_conflict 9 - dlopen: no-ust app works
ok 10 - dlopen: no-ust app with abi1 and abi1 succeeds
PASS: regression/abi0-conflict/test_abi0_conflict 10 - dlopen: no-ust app with 
abi1 and abi1 succeeds
./regression/abi0-conflict/test_abi0_conflict: line 92: 592689 Aborted  
   (core dumped) LD_LIBRARY_PATH="$LIBFAKEUST0_PATH:$LIBUST1_PATH" 
"${CURDIR}/app_noust_dlopen" abi0_abi1 > "$STD_OUTPUT" 2> "$STD_ERROR"
ok 11 - dlopen: no-ust app with abi0 and abi1 fails
PASS: regression/abi0-conflict/test_abi0_conflict 11 - dlopen: no-ust app with 
abi0 and abi1 fails
not ok 12 - dlopen: no-ust app with abi1 and abi0 fails
FAIL: regression/abi0-conflict/test_abi0_conflict 12 - dlopen: no-ust app with 
abi1 and abi0 fails
#   Failed test 'dlopen: no-ust app with abi1 and abi0 fails'
# regression/abi0-conflict/test_abi0_conflict: Failed test 'dlopen: no-ust app 
with abi1 and abi0 fails'
#   in /home/ubuntu/git/packages/ust/lttng-ust/tests/utils/tap.sh:isnt() at 
line 300.
# regression/abi0-conflict/test_abi0_conflict: in 
/home/ubuntu/git/packages/ust/lttng-ust/tests/utils/tap.sh:isnt() at line 300.
#  got: '0'
# regression/abi0-conflict/test_abi0_conflict: got: '0'
# expected: '0'
# regression/abi0-conflict/test_abi0_conflict: expected: '0'
ok 13 - dlopen: ust app works
PASS: regression/abi0-conflict/test_abi0_conflict 13 - dlopen: ust app works
not ok 14 - dlopen: ust app with abi0 fails
FAIL: regression/abi0-conflict/test_abi0_conflict 14 - dlopen: ust app with 
abi0 fails
#   Failed test 'dlopen: ust app with abi0 fails'
# regression/abi0-conflict/test_abi0_conflict: Failed test 'dlopen: ust app 
with abi0 fails'
#   in /home/ubuntu/git/packages/ust/lttng-ust/tests/utils/tap.sh:isnt() at 
line 300.
# regression/abi0-conflict/test_abi0_conflict: in 

[Touch-packages] [Bug 1944086] Re: rsyslogd crashed with SIGABRT in IO_validate_vtable()

2021-12-02 Thread Brian Murray
I don't see any this as having been reported in the Error Tracker so I'm
lowing the importance of it.

** Changed in: rsyslog (Ubuntu)
   Importance: Medium => Low

** Tags removed: rls-ii-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rsyslog in Ubuntu.
https://bugs.launchpad.net/bugs/1944086

Title:
  rsyslogd crashed with SIGABRT in IO_validate_vtable()

Status in rsyslog package in Ubuntu:
  Confirmed

Bug description:
  Message from system..

  ProblemType: Crash
  DistroRelease: Ubuntu 21.10
  Package: rsyslog 8.2102.0-2ubuntu1
  ProcVersionSignature: Ubuntu 5.13.0-16.16-generic 5.13.13
  Uname: Linux 5.11.0-34-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu69
  Architecture: amd64
  CasperMD5CheckResult: unknown
  Date: Sun Sep 19 12:43:01 2021
  ExecutablePath: /usr/sbin/rsyslogd
  InstallationDate: Installed on 2021-04-04 (168 days ago)
  InstallationMedia: Ubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
  ProcCmdline: /usr/sbin/rsyslogd -n -iNONE
  ProcEnviron: Error: [Errno 13] Permission denied: 'environ'
  ProcMaps: Error: [Errno 13] Permission denied: 'maps'
  Signal: 6
  SourcePackage: rsyslog
  StacktraceTop:
   IO_validate_vtable (vtable=) at ../libio/libioP.h:940
   outstring_func (done=, length=, 
string=, s=) at vfprintf-internal.c:239
   __vfprintf_internal (s=0x7f4b3d930c30, format=0x119 , 
ap=0x61746146203a6c01, mode_flags=0) at vfprintf-internal.c:1404
   ?? ()
  Title: rsyslogd crashed with SIGABRT in IO_validate_vtable()
  UpgradeStatus: Upgraded to impish on 2021-09-19 (0 days ago)
  UserGroups: adm tty
  separator:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rsyslog/+bug/1944086/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1950985] Re: Please merge netcat-openbsd 1.218-2 from Debian unstable

2021-12-02 Thread Brian Murray
I modified the debian/changelog so that this bug is referenced and gets
closed by the janitor.

 $ dput netcat-openbsd_1.218-2ubuntu1_source.changes
Trying to upload package to ubuntu
Checking signature on .changes
gpg: /tmp/pkgs/jammy/netcat-openbsd_1.218-2ubuntu1_source.changes: Valid 
signature from 1E918B66765B3E31
Checking signature on .dsc
gpg: /tmp/pkgs/jammy/netcat-openbsd_1.218-2ubuntu1.dsc: Valid signature from 
1E918B66765B3E31
Uploading to ubuntu (via ftp to upload.ubuntu.com):
  Uploading netcat-openbsd_1.218-2ubuntu1.dsc: done.
  Uploading netcat-openbsd_1.218-2ubuntu1.debian.tar.xz: done.  
  Uploading netcat-openbsd_1.218-2ubuntu1_source.buildinfo: done.
  Uploading netcat-openbsd_1.218-2ubuntu1_source.changes: done.
Successfully uploaded packages.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to netcat-openbsd in Ubuntu.
https://bugs.launchpad.net/bugs/1950985

Title:
  Please merge netcat-openbsd 1.218-2 from Debian unstable

Status in netcat-openbsd package in Ubuntu:
  Incomplete

Bug description:
  Please merge netcat-openbsd 1.218-2 from Debian unstable.

  Updated changelog and diff against Debian unstable is attached below.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/netcat-openbsd/+bug/1950985/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1950985] Re: Please merge netcat-openbsd 1.218-2 from Debian unstable

2021-12-02 Thread Brian Murray
This is the build failure I ran into:

15-Sflag... PASSED
make[1]: *** [debian/rules:34: execute_after_dh_auto_test] Error 1
make[1]: Leaving directory '/<>'
make: *** [debian/rules:23: binary] Error 2
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2

Build finished at 2021-12-02T17:51:21Z

However, I uploaded it to my ppa in Launchpad and it built fine so I'll
go ahead and upload it.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to netcat-openbsd in Ubuntu.
https://bugs.launchpad.net/bugs/1950985

Title:
  Please merge netcat-openbsd 1.218-2 from Debian unstable

Status in netcat-openbsd package in Ubuntu:
  Incomplete

Bug description:
  Please merge netcat-openbsd 1.218-2 from Debian unstable.

  Updated changelog and diff against Debian unstable is attached below.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/netcat-openbsd/+bug/1950985/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953035] Re: blank screen after loging in ubuntu 22.04's wayland session at gnome-boxes

2021-12-02 Thread Lucio Costa
** Package changed: ubuntu => wayland (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1953035

Title:
  blank screen after loging in ubuntu 22.04's wayland session at gnome-
  boxes

Status in wayland package in Ubuntu:
  New

Bug description:
  I have ubuntu 22.04 amd64 installed in a gnome-boxes virtual machine.
  The wayland session doesn't load (blank screen after login). X.Org
  session loads normally. The system is updated (up to 2nd december
  2021), but wayland session still doesn't load.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wayland/+bug/1953035/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953035] [NEW] blank screen after loging in ubuntu 22.04's wayland session at gnome-boxes

2021-12-02 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

I have ubuntu 22.04 amd64 installed in a gnome-boxes virtual machine.
The wayland session doesn't load (blank screen after login). X.Org
session loads normally. The system is updated (up to 2nd december 2021),
but wayland session still doesn't load.

** Affects: wayland (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: bot-comment jammy ubuntu wayland
-- 
blank screen after loging in ubuntu 22.04's wayland session at gnome-boxes
https://bugs.launchpad.net/bugs/1953035
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to wayland in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread pqwoerituytrueiwoq
Looks like the updates from today have made the broken version work

$ md5sum /usr/lib/x86_64-linux-gnu/libQt5Network.so.5.15.2*
82bcd38d90d984667e5722083085a37e  
/usr/lib/x86_64-linux-gnu/libQt5Network.so.5.15.2
82bcd38d90d984667e5722083085a37e  
/usr/lib/x86_64-linux-gnu/libQt5Network.so.5.15.2.broken
a618a5369c0fc9659fee0addd89f1f57  
/usr/lib/x86_64-linux-gnu/libQt5Network.so.5.15.2.working

With the latest updates from today the old copy is no longer breaking
things as far as i can tell, confirmed on 2 installs

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Triaged

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943530] Re: link libkrb5 with openssl

2021-12-02 Thread Matthieu Clemenceau
** Tags added: fr-1900

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1943530

Title:
  link libkrb5 with openssl

Status in krb5 package in Ubuntu:
  Confirmed
Status in krb5 source package in Jammy:
  Confirmed

Bug description:
  In Ubuntu we provide a cryptographic core based on a small set of
  packages that we FIPS certify [0]. Applications and libraries should
  not bundle their own crypto code but should use the cryptographic core
  to benefit from the certification, but also importantly to reduce bugs
  due to small cryptographic libraries that that are not studied as much
  as more popular counterparts. This bug is to change libkrb5 to use the
  openssl crypto code instead of bundling its own on the next ubuntu
  release.

  [0]. https://ubuntu.com/security/fips

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1943530/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943530] Re: link libkrb5 with openssl

2021-12-02 Thread Brian Murray
** Also affects: krb5 (Ubuntu Jammy)
   Importance: Undecided
   Status: Confirmed

** Tags removed: rls-jj-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1943530

Title:
  link libkrb5 with openssl

Status in krb5 package in Ubuntu:
  Confirmed
Status in krb5 source package in Jammy:
  Confirmed

Bug description:
  In Ubuntu we provide a cryptographic core based on a small set of
  packages that we FIPS certify [0]. Applications and libraries should
  not bundle their own crypto code but should use the cryptographic core
  to benefit from the certification, but also importantly to reduce bugs
  due to small cryptographic libraries that that are not studied as much
  as more popular counterparts. This bug is to change libkrb5 to use the
  openssl crypto code instead of bundling its own on the next ubuntu
  release.

  [0]. https://ubuntu.com/security/fips

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1943530/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943561] Re: Add ACCEL_LOCATION=base property for 6 Dell clamshell models

2021-12-02 Thread Lukas Märdian
Thanks for the clarification. Now it all makes sense to me (as Impish is
on kernel >= 3.13) and it means that the revert wasn't actually needed
for Impish.

So on Impish I will apply the same patch as in Jammy, which is basically
the same that was reverted before due to a mistake in SRU verification.
In addition to the new commit, adding 4 additional matches.

That will remove the 2 modalias name matches and replace them by 6 new
SKU matches that can be detected on kernel >= 3.13.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1943561

Title:
  Add ACCEL_LOCATION=base property for 6 Dell clamshell models

Status in OEM Priority Project:
  New
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  This hwdb update is to avoid unwanted screen rotation when tilting the
  laptop.

  This is the update to the previously rolled back SRU LP: #1938259

  [Impact]

   * This fixes unwanted rotations on certain Dell clamshell laptop
  models with accelerometer.

  [Test Plan]

   * On Dell laptops with model SKU 0A36, 0A3E, 0B09, 0B0B, 0B0D, 0B11, install 
this package and ensure the kernel is updated to the latest.
   * Screen should be correct side up in login screen and desktop.
   * Tilt the laptop and the screen should not be rotated.

  [Where problems could occur]

   * This is to add parameters for certain models in hwdb, and does not
  affect any other part of systemd.

   * Only models with the same Dell SKU would be affected.

  [scope]

  this is needed for all releases

  this is being added to upstream by
  https://github.com/systemd/systemd/pull/20314 and
  https://github.com/systemd/systemd/pull/20661

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1943561/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943561] Re: Add ACCEL_LOCATION=base property for 6 Dell clamshell models

2021-12-02 Thread Yao Wei
> Could you please clarify this situation for Impish, or ideally provide
a debdiff as you did for the other series? Thanks!

After looking into linux-source in impish, I can determine that it
should be safe removing the modalias names. The reply saying that it had
regression was my mistake.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1943561

Title:
  Add ACCEL_LOCATION=base property for 6 Dell clamshell models

Status in OEM Priority Project:
  New
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  This hwdb update is to avoid unwanted screen rotation when tilting the
  laptop.

  This is the update to the previously rolled back SRU LP: #1938259

  [Impact]

   * This fixes unwanted rotations on certain Dell clamshell laptop
  models with accelerometer.

  [Test Plan]

   * On Dell laptops with model SKU 0A36, 0A3E, 0B09, 0B0B, 0B0D, 0B11, install 
this package and ensure the kernel is updated to the latest.
   * Screen should be correct side up in login screen and desktop.
   * Tilt the laptop and the screen should not be rotated.

  [Where problems could occur]

   * This is to add parameters for certain models in hwdb, and does not
  affect any other part of systemd.

   * Only models with the same Dell SKU would be affected.

  [scope]

  this is needed for all releases

  this is being added to upstream by
  https://github.com/systemd/systemd/pull/20314 and
  https://github.com/systemd/systemd/pull/20661

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1943561/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952733] Re: Add Dell Privacy Mic Mute Key mapping for another Dell machine

2021-12-02 Thread Lukas Märdian
Thanks! I'm taking the upstream commit
https://github.com/systemd/systemd/commit/5ed0ea29287621fb3c51b7917c34c7b8ac280eba
(LP: #1926547) instead of squeezing that change into the Impish/systemd
v248 debdiff. Otherwise this LGTM!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1952733

Title:
  Add Dell Privacy Mic Mute Key mapping for another Dell machine

Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  [Impact]

   * Dell introduces new function called Dell Privacy, it utilizes
  hardware mute to control audio and camera. The commit map the reported
  key event to mic mute for making userspace can work as before, "Mic
  Mute" dialog pop-up while the mic mute button is pressed.

  [Test Plan]

   * Use a Dell machine, which has Dell privacy function, and press mic mute 
key.
 GUI will pop up "Mic Mute" icon.

  [Where problems could occur]

   * This change adds key event mapping in hwdb, which won't impact
  other hardware.

   any regression would likely cause problems with key(s) from the
  specific dell kb matching the modified listing in the hw db.

  [Other Info]

   * This change has been verified on Dell machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1952733/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1548486] Re: Sleep hook in a subdirectory ignored but causes double execution of previous hook

2021-12-02 Thread Christian Ehrhardt 
** Tags removed: server-todo
** Tags added: server-triage-discuss

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pm-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1548486

Title:
  Sleep hook in a subdirectory ignored but causes double execution of
  previous hook

Status in pm-utils:
  Won't Fix
Status in pm-utils package in Ubuntu:
  Confirmed

Bug description:
  The set of sleep hooks provided in /usr/lib/pm-utils/sleep.d includes
  one (95packagekit/95packagekit) that is stored in a subdirectory. This
  has two effects:

  1the hook is not run;

  2the previous hook, currently /usr/lib/pm-utils/sleep.d/95led, is
  run for a second time instead.

  Presumably #1 is wrong, and results from an installation fault in
  packagekit,  separately reported as bug 1548480.

  #2 occurs because the function run_hooks() in /usr/lib/pm-utils/pm-
  functions computes a list of to-be-executed hooks that includes
  directories but neither fully validates each such hook as a regular
  file nor handles a set of to-be-executed hooks in a subdirectory.

  At lines 243 on, there is  a code path with no else clause through
  which the $hook from the previous iteration can be accidentally
  reused:

if [ -f "$syshooks/$base" ]; then
hook="$syshooks/$base"
elif [ -f "$phooks/$base" ]; then
hook="$phooks/$base"
fi

  An easy fix is to insert the missing else clause before the fi line so
  that the script skips the subdirectory or other non-regular file and
  carries on with the next correctly specified hook:

if [ -f "$syshooks/$base" ]; then
hook="$syshooks/$base"
elif [ -f "$phooks/$base" ]; then
hook="$phooks/$base"
else 
continue
fi

  Observed in Lubuntu 14.04.3,4 with pm-utils 1.4.1-13ubuntu0.1,2.
  However the relevant pm-utils code dates back to 2008, pm-utils
  upstream version 1.1.0.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pm-utils 1.4.1-13ubuntu0.2 [modified: usr/lib/pm-utils/pm-functions]
  ProcVersionSignature: Ubuntu 4.2.0-29.34~14.04.1-generic 4.2.8-ckt3
  Uname: Linux 4.2.0-29-generic i686
  ApportVersion: 2.14.1-0ubuntu3.19
  Architecture: i386
  Date: Mon Feb 22 17:10:53 2016
  InstallationDate: Installed on 2016-02-21 (0 days ago)
  InstallationMedia: Lubuntu 14.04.4 LTS "Trusty Tahr" - Release i386 
(20160217.1)
  PackageArchitecture: all
  SourcePackage: pm-utils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/pm-utils/+bug/1548486/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1548486] Re: Sleep hook in a subdirectory ignored but causes double execution of previous hook

2021-12-02 Thread Miriam España Acebal
** Tags added: bitesize

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pm-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1548486

Title:
  Sleep hook in a subdirectory ignored but causes double execution of
  previous hook

Status in pm-utils:
  Won't Fix
Status in pm-utils package in Ubuntu:
  Confirmed

Bug description:
  The set of sleep hooks provided in /usr/lib/pm-utils/sleep.d includes
  one (95packagekit/95packagekit) that is stored in a subdirectory. This
  has two effects:

  1the hook is not run;

  2the previous hook, currently /usr/lib/pm-utils/sleep.d/95led, is
  run for a second time instead.

  Presumably #1 is wrong, and results from an installation fault in
  packagekit,  separately reported as bug 1548480.

  #2 occurs because the function run_hooks() in /usr/lib/pm-utils/pm-
  functions computes a list of to-be-executed hooks that includes
  directories but neither fully validates each such hook as a regular
  file nor handles a set of to-be-executed hooks in a subdirectory.

  At lines 243 on, there is  a code path with no else clause through
  which the $hook from the previous iteration can be accidentally
  reused:

if [ -f "$syshooks/$base" ]; then
hook="$syshooks/$base"
elif [ -f "$phooks/$base" ]; then
hook="$phooks/$base"
fi

  An easy fix is to insert the missing else clause before the fi line so
  that the script skips the subdirectory or other non-regular file and
  carries on with the next correctly specified hook:

if [ -f "$syshooks/$base" ]; then
hook="$syshooks/$base"
elif [ -f "$phooks/$base" ]; then
hook="$phooks/$base"
else 
continue
fi

  Observed in Lubuntu 14.04.3,4 with pm-utils 1.4.1-13ubuntu0.1,2.
  However the relevant pm-utils code dates back to 2008, pm-utils
  upstream version 1.1.0.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pm-utils 1.4.1-13ubuntu0.2 [modified: usr/lib/pm-utils/pm-functions]
  ProcVersionSignature: Ubuntu 4.2.0-29.34~14.04.1-generic 4.2.8-ckt3
  Uname: Linux 4.2.0-29-generic i686
  ApportVersion: 2.14.1-0ubuntu3.19
  Architecture: i386
  Date: Mon Feb 22 17:10:53 2016
  InstallationDate: Installed on 2016-02-21 (0 days ago)
  InstallationMedia: Lubuntu 14.04.4 LTS "Trusty Tahr" - Release i386 
(20160217.1)
  PackageArchitecture: all
  SourcePackage: pm-utils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/pm-utils/+bug/1548486/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943561] Re: Add ACCEL_LOCATION=base property for 6 Dell clamshell models

2021-12-02 Thread Lukas Märdian
Hey, thank you for providing an updated patch!

I've included it in todays systemd v249 upload in jammy:
https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?h=ubuntu-jammy=9f99081482b76a7b717e39ef4380f08093e4359a

Jammy uses kernel 5.15 so it is fine to drop the modalias names and rely
on SKU alone (as is done upstream).

For Focal and Hirsute you're only adding the new SKU matches, which
should be fine, too.

But I'm wondering what exactly is the situation on Impish? Impish uses
kernel 3.13 so the SKU kernel change should be included and the same fix
as posted above for Jammy should apply. But OTOH in
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1938259/comments/15
you mentioned that the SRU uploaded last time (that removes the modalias
names) regressed in Impish.

Could you please clarify this situation for Impish, or ideally provide a
debdiff as you did for the other series? Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1943561

Title:
  Add ACCEL_LOCATION=base property for 6 Dell clamshell models

Status in OEM Priority Project:
  New
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  This hwdb update is to avoid unwanted screen rotation when tilting the
  laptop.

  This is the update to the previously rolled back SRU LP: #1938259

  [Impact]

   * This fixes unwanted rotations on certain Dell clamshell laptop
  models with accelerometer.

  [Test Plan]

   * On Dell laptops with model SKU 0A36, 0A3E, 0B09, 0B0B, 0B0D, 0B11, install 
this package and ensure the kernel is updated to the latest.
   * Screen should be correct side up in login screen and desktop.
   * Tilt the laptop and the screen should not be rotated.

  [Where problems could occur]

   * This is to add parameters for certain models in hwdb, and does not
  affect any other part of systemd.

   * Only models with the same Dell SKU would be affected.

  [scope]

  this is needed for all releases

  this is being added to upstream by
  https://github.com/systemd/systemd/pull/20314 and
  https://github.com/systemd/systemd/pull/20661

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1943561/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1950985] Re: Please merge netcat-openbsd 1.218-2 from Debian unstable

2021-12-02 Thread Dave Jones
Yes, managed an sbuild of source and binary packages in a jammy chroot
(build log: https://paste.ubuntu.com/p/ySB3mm6xMG/) -- what was the
build failure you encountered?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to netcat-openbsd in Ubuntu.
https://bugs.launchpad.net/bugs/1950985

Title:
  Please merge netcat-openbsd 1.218-2 from Debian unstable

Status in netcat-openbsd package in Ubuntu:
  Incomplete

Bug description:
  Please merge netcat-openbsd 1.218-2 from Debian unstable.

  Updated changelog and diff against Debian unstable is attached below.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/netcat-openbsd/+bug/1950985/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1926547] Re: Add Dell Privacy Mic Mute Key mapping

2021-12-02 Thread Lukas Märdian
This affects Impish as well. The commit was included in upstream v249.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1926547

Title:
  Add Dell Privacy Mic Mute Key mapping

Status in OEM Priority Project:
  Fix Released
Status in OEM Priority Project focal series:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released
Status in systemd source package in Hirsute:
  Fix Released
Status in systemd source package in Impish:
  New

Bug description:
  [Impact]

   * Dell introduces new function called Dell Privacy, it utilizes
  hardware mute to control audio and camera. The commit map the reported
  key event to mic mute for making userspace can work as before, "Mic
  Mute" dialog pop-up while the mic mute button is pressed.

  [Test Plan]

   * Use a Dell machine, which has Dell privacy function, and press mic mute 
key.
     GUI will pop up "Mic Mute" icon.

  [Where problems could occur]

   * This change adds key event mapping in hwdb, which won't impact
  other hardware.

   any regression would likely cause problems with key(s) from the
  specific dell kb matching the modified listing in the hw db.

  [Other Info]

   * The change can only work with kernel commit on some specific hardware, ex. 
Latitude 9520. The commit series is 
"hardware-privacy-implementation-for-dell-laptop" in alsa-devel kernel tree.
     https://patchwork.kernel.org/project/alsa-devel/list/?series=465445
   * This change has been verified on Dell machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1926547/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871794] Re: [Bluetooth] No audio output/input in HSP/HFP mode

2021-12-02 Thread _kai_
Same issue for me: A2DP sink, sound is clear. If it set it as HFP, no
sound and no mic.

Also I notice that the main volume control doesn't affect the volume (it
remains the same and I have to change the volume by using the minus/plus
in the device)

PipeWire didn't solve my issue.

- OS: Ubuntu 21.10
- Kernel: 5.13.0-22-generic #22-Ubuntu SMP
- Headset: Tribit MaxSound Plus
- BT dongle: Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1871794

Title:
  [Bluetooth] No audio output/input in HSP/HFP mode

Status in bluez package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Fix Released

Bug description:
  I'm testing with Sony bluetooth headset SBH20, works fine in A2DP
  profile, but I can't get audio input and output work in HSP/HFP
  profile.

  [Reproduce steps]
  1. Scan and pair BT headset in Bluetooth setting
  2. Switch to HSP/HFP profile in Sound setting
  3. Test sound output/input

  [Machine information]
  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Uname: Linux 5.4.0-21-generic x86_64
  ApportVersion: 2.20.11-0ubuntu25
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1359 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Apr  9 16:26:52 2020
  InstallationDate: Installed on 2020-04-09 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
  SourcePackage: pulseaudio
  Symptom: audio
  Symptom_Card: SBH20
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1359 F pulseaudio
  Symptom_Type: No sound at all
  Title: [SBH20, recording] No sound at all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/17/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.0.13
  dmi.board.name: 0188D1
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 31
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.0.13:bd09/17/2019:svnDellInc.:pnXPS1373902-in-1:pvr:rvnDellInc.:rn0188D1:rvrA00:cvnDellInc.:ct31:cvr:
  dmi.product.family: XPS
  dmi.product.name: XPS 13 7390 2-in-1
  dmi.product.sku: 08B0
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1871794/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1926547] Re: Add Dell Privacy Mic Mute Key mapping

2021-12-02 Thread Lukas Märdian
** Also affects: systemd (Ubuntu Impish)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1926547

Title:
  Add Dell Privacy Mic Mute Key mapping

Status in OEM Priority Project:
  Fix Released
Status in OEM Priority Project focal series:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released
Status in systemd source package in Hirsute:
  Fix Released
Status in systemd source package in Impish:
  New

Bug description:
  [Impact]

   * Dell introduces new function called Dell Privacy, it utilizes
  hardware mute to control audio and camera. The commit map the reported
  key event to mic mute for making userspace can work as before, "Mic
  Mute" dialog pop-up while the mic mute button is pressed.

  [Test Plan]

   * Use a Dell machine, which has Dell privacy function, and press mic mute 
key.
     GUI will pop up "Mic Mute" icon.

  [Where problems could occur]

   * This change adds key event mapping in hwdb, which won't impact
  other hardware.

   any regression would likely cause problems with key(s) from the
  specific dell kb matching the modified listing in the hw db.

  [Other Info]

   * The change can only work with kernel commit on some specific hardware, ex. 
Latitude 9520. The commit series is 
"hardware-privacy-implementation-for-dell-laptop" in alsa-devel kernel tree.
     https://patchwork.kernel.org/project/alsa-devel/list/?series=465445
   * This change has been verified on Dell machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1926547/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1548486] Re: Sleep hook in a subdirectory ignored but causes double execution of previous hook

2021-12-02 Thread Miriam España Acebal
Hi,

I hit this old bug while I was doing some bug clearance.

Upstream closed the bug as won't fix (pretty freeze in upstream... same
stable version since 2011), but on the other hand, 95packagekit was
removed as per [1].

Therefore the bug reported here is still present in Debian/Ubuntu due to
the upstream's no updating work on pm-utils. As per Christian's comment
on #7, the best would be to file the bug in Debian, but I don't know how
effective it would be as there are 104 active bugs there [2] (it seems a
kind orphaned).

Are we in a position to take on a delta in Ubuntu, or is it not worth
it?


[1] https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1548480/comments/9
[2] https://bugs.debian.org/cgi-bin/pkgreport.cgi?repeatmerged=no=pm-utils

** Tags added: server-todo

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pm-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1548486

Title:
  Sleep hook in a subdirectory ignored but causes double execution of
  previous hook

Status in pm-utils:
  Won't Fix
Status in pm-utils package in Ubuntu:
  Confirmed

Bug description:
  The set of sleep hooks provided in /usr/lib/pm-utils/sleep.d includes
  one (95packagekit/95packagekit) that is stored in a subdirectory. This
  has two effects:

  1the hook is not run;

  2the previous hook, currently /usr/lib/pm-utils/sleep.d/95led, is
  run for a second time instead.

  Presumably #1 is wrong, and results from an installation fault in
  packagekit,  separately reported as bug 1548480.

  #2 occurs because the function run_hooks() in /usr/lib/pm-utils/pm-
  functions computes a list of to-be-executed hooks that includes
  directories but neither fully validates each such hook as a regular
  file nor handles a set of to-be-executed hooks in a subdirectory.

  At lines 243 on, there is  a code path with no else clause through
  which the $hook from the previous iteration can be accidentally
  reused:

if [ -f "$syshooks/$base" ]; then
hook="$syshooks/$base"
elif [ -f "$phooks/$base" ]; then
hook="$phooks/$base"
fi

  An easy fix is to insert the missing else clause before the fi line so
  that the script skips the subdirectory or other non-regular file and
  carries on with the next correctly specified hook:

if [ -f "$syshooks/$base" ]; then
hook="$syshooks/$base"
elif [ -f "$phooks/$base" ]; then
hook="$phooks/$base"
else 
continue
fi

  Observed in Lubuntu 14.04.3,4 with pm-utils 1.4.1-13ubuntu0.1,2.
  However the relevant pm-utils code dates back to 2008, pm-utils
  upstream version 1.1.0.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pm-utils 1.4.1-13ubuntu0.2 [modified: usr/lib/pm-utils/pm-functions]
  ProcVersionSignature: Ubuntu 4.2.0-29.34~14.04.1-generic 4.2.8-ckt3
  Uname: Linux 4.2.0-29-generic i686
  ApportVersion: 2.14.1-0ubuntu3.19
  Architecture: i386
  Date: Mon Feb 22 17:10:53 2016
  InstallationDate: Installed on 2016-02-21 (0 days ago)
  InstallationMedia: Lubuntu 14.04.4 LTS "Trusty Tahr" - Release i386 
(20160217.1)
  PackageArchitecture: all
  SourcePackage: pm-utils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/pm-utils/+bug/1548486/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952083] Re: Add support for Beige Goby

2021-12-02 Thread Timo Aaltonen
sounds like your mirror is not uptodate

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1952083

Title:
  Add support for Beige Goby

Status in amd:
  New
Status in OEM Priority Project:
  Fix Committed
Status in mesa package in Ubuntu:
  Fix Released
Status in mesa source package in Focal:
  Fix Released

Bug description:
  Impact]

  New hardware support for AMD's Beige Goby needs a commit backported to
  mesa. This is only needed on focal, skipping hirsute (no kernel
  support there). Fixed in impish and up.

  [Test plan]

  Install updates, boot a BG machine and check that the desktop has full
  hardware acceleration.

  [Where problems could occur]

  Mesa adds a single commit for enabling BEIGE_GOBY, hard to see what
  could go wrong.

To manage notifications about this bug go to:
https://bugs.launchpad.net/amd/+bug/1952083/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread Bruno Pitrus
I confirm that the update from Rik's repo fixes the bug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Triaged

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952733] Re: Add Dell Privacy Mic Mute Key mapping for another Dell machine

2021-12-02 Thread Lukas Märdian
** Also affects: systemd (Ubuntu Jammy)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Hirsute)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Impish)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1952733

Title:
  Add Dell Privacy Mic Mute Key mapping for another Dell machine

Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  [Impact]

   * Dell introduces new function called Dell Privacy, it utilizes
  hardware mute to control audio and camera. The commit map the reported
  key event to mic mute for making userspace can work as before, "Mic
  Mute" dialog pop-up while the mic mute button is pressed.

  [Test Plan]

   * Use a Dell machine, which has Dell privacy function, and press mic mute 
key.
 GUI will pop up "Mic Mute" icon.

  [Where problems could occur]

   * This change adds key event mapping in hwdb, which won't impact
  other hardware.

   any regression would likely cause problems with key(s) from the
  specific dell kb matching the modified listing in the hw db.

  [Other Info]

   * This change has been verified on Dell machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1952733/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952735] Re: Add Microphone mute key mapping for Dell machine

2021-12-02 Thread Lukas Märdian
** Also affects: systemd (Ubuntu Impish)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Jammy)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Hirsute)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1952735

Title:
  Add Microphone mute key mapping for Dell machine

Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  [Impact]

   * Dell machine add new microphone mute key on keyboard, add this key mapping 
to make it work.
  [Test Plan]

   * Use a Dell machine, which has this microphone mute key, and press mic mute 
key.
 GUI will pop up "Mic Mute" icon.

  [Where problems could occur]

   * This change adds key event mapping in hwdb, which won't impact
  other hardware.

   any regression would likely cause problems with key(s) from the
  specific dell kb matching the modified listing in the hw db.

  [Other Info]

   * This change has been verified on Dell machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1952735/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1950794] Re: DHCPv4 (IAID+DUID) networking broken in LXC containers

2021-12-02 Thread Lukas Märdian
Yes.. LXD's system containers and systemd/udev have a special kind of
relationship and we should strive to resolve that situation properly
long-term. I already talked to stgraber about that, but I guess we
should lay out a proper path forward as continuously patching more and
more components of systemd is not a sustainable approach.

I'll leave that new revert-patch in for now, tho, as we do not have
another short-term solution.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1950794

Title:
  DHCPv4 (IAID+DUID) networking broken in LXC containers

Status in lxd package in Ubuntu:
  New
Status in systemd package in Ubuntu:
  Fix Committed

Bug description:
  DHCPv4 networking does not work in the default IAID+DUID
  (ClientIdentifier=duid) mode in LXC containers, using systemd-networkd
  v249.5-2ubuntu1. Static configuration and DHCPv6 work without problem.

  Reproducer:
  $ lxc launch ubuntu-daily:jammy jj
  $ lxc exec jj bash
  # add-apt-repository ppa:ci-train-ppa-service/4704
  # apt install systemd # install systemd 249.5-2ubuntu1
  # cat /etc/systemd/network/00-test.network
  [Match]
  Name=eth0

  [Network]
  DHCP=ipv4
  # systemctl restart systemd-networkd.service
  # networkctl 
  IDX LINK TYPE OPERATIONAL SETUP
  [...]
  611 eth0 ethercarrier failed  

  A workaround is to avoid IAID+DUID mode via:
  [DHCPv4]
  #ClientIdentifier=mac
  ClientIdentifier=duid-only

  Interesting logs:
  Nov 12 14:10:48 jj systemd-networkd[174]: eth0: Requested to activate link
  Nov 12 14:10:48 jj systemd-networkd[174]: eth0: DHCPv4 client: Failed to set 
IAID: Device or resource busy
  Nov 12 14:10:48 jj systemd-networkd[174]: eth0: DHCP4 CLIENT: Failed to set 
IAID+DUID: Device or resource busy
  Nov 12 14:10:48 jj systemd-networkd[174]: Failed to check link is 
initialized: Device or resource busy
  Nov 12 14:10:48 jj systemd-networkd[174]: eth0: Failed

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lxd/+bug/1950794/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943561] Re: Add ACCEL_LOCATION=base property for 6 Dell clamshell models

2021-12-02 Thread Lukas Märdian
** Also affects: systemd (Ubuntu Impish)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Jammy)
   Importance: Medium
   Status: New

** Also affects: systemd (Ubuntu Hirsute)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1943561

Title:
  Add ACCEL_LOCATION=base property for 6 Dell clamshell models

Status in OEM Priority Project:
  New
Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New
Status in systemd source package in Hirsute:
  New
Status in systemd source package in Impish:
  New
Status in systemd source package in Jammy:
  New

Bug description:
  This hwdb update is to avoid unwanted screen rotation when tilting the
  laptop.

  This is the update to the previously rolled back SRU LP: #1938259

  [Impact]

   * This fixes unwanted rotations on certain Dell clamshell laptop
  models with accelerometer.

  [Test Plan]

   * On Dell laptops with model SKU 0A36, 0A3E, 0B09, 0B0B, 0B0D, 0B11, install 
this package and ensure the kernel is updated to the latest.
   * Screen should be correct side up in login screen and desktop.
   * Tilt the laptop and the screen should not be rotated.

  [Where problems could occur]

   * This is to add parameters for certain models in hwdb, and does not
  affect any other part of systemd.

   * Only models with the same Dell SKU would be affected.

  [scope]

  this is needed for all releases

  this is being added to upstream by
  https://github.com/systemd/systemd/pull/20314 and
  https://github.com/systemd/systemd/pull/20661

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1943561/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1950511] Re: FTBFS due to meson disallowing + for bools

2021-12-02 Thread Lukas Märdian
released in 249.5-2ubuntu1

** Changed in: systemd (Ubuntu Jammy)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1950511

Title:
  FTBFS due to meson disallowing + for bools

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Jammy:
  Fix Released

Bug description:
  FTBFS with new meson:

  ../meson.build:46:3: ERROR: Object <[BooleanHolder] holds [bool]:
  False> of type bool does not support the `+` operator.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1950511/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1950787] Re: systemd-sysusers cannot mount /dev in privileged containers (to pass credentials)

2021-12-02 Thread Lukas Märdian
** Changed in: systemd (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1950787

Title:
  systemd-sysusers cannot mount /dev in privileged containers (to pass
  credentials)

Status in lxd package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  systemd-sysusers.service/systemd.exec fails to start in privileged 
containers, due to being unable to properly mount /dev for passing credentials, 
caused by the following config in the .service unit:
  ```
  # Optionally, pick up a root password and shell for the root user from a
  # credential passed to the service manager. This is useful for importing this
  # data from nspawn's --set-credential= switch.
  LoadCredential=passwd.hashed-password.root
  LoadCredential=passwd.plaintext-password.root
  LoadCredential=passwd.shell.root
  ```

  Reproducer:
  $ lxc profile set default security.privileged "true"
  $ lxc launch ubuntu-daily:jammy test
  $ lxc exec test bash
  # add-apt-repository ppa:ci-train-ppa-service/4704
  # apt install systemd # install systemd 249.5-2ubuntu1
  # systemctl restart systemd-sysusers
  # systemctl status systemd-sysusers
  # system --status=failed
  $ lxc profile set default security.privileged "false"

  A workaround is to disable it via:
  $ cat /etc/systemd/system/systemd-sysusers.service.d/override.conf:
  [Service]
  LoadCredential=

  Interesting logs:
  Nov 12 12:09:44 test systemd[1]: systemd-journald.service: Added fd 42 (n/a) 
to fd store.
  Nov 12 12:09:44 test systemd[431]: Mounting /dev (MS_REC|MS_SLAVE "")...
  Nov 12 12:09:44 test systemd[431]: Failed to mount n/a (type n/a) on /dev 
(MS_REC|MS_SLAVE ""): Permission denied
  Nov 12 12:09:44 test systemd[430]: (sd-mkdcreds) failed with exit status 1.
  Nov 12 12:09:44 test systemd[430]: systemd-sysusers.service: Failed to set up 
credentials: Protocol error
  Nov 12 12:09:44 test systemd[430]: systemd-sysusers.service: Failed at step 
CREDENTIALS spawning

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lxd/+bug/1950787/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread Bruno Pitrus
I also confirm that reverting libqt5network5 to an earlier version fixes
things.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Triaged

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread Rik Mills
What is hopefully a temporary fix is now building in:

ppa:ci-train-ppa-service/4730

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Triaged

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953014] Re: Return code for unsolicited arping is 1 instead of 0

2021-12-02 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: iputils (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iputils in Ubuntu.
https://bugs.launchpad.net/bugs/1953014

Title:
  Return code for unsolicited arping is 1 instead of 0

Status in iputils package in Ubuntu:
  Confirmed

Bug description:
  When running a gratuitous / unsolicited arp via "arping -U" on Ubuntu Focal
  a return code of 1 is given, instead of always 0 (as there is no arp reply 
expected).

  Focal:
  --- cut ---
  # arping -U -c1 -I eth0 127.0.0.1; echo "ReturnCode: $?"
  ARPING 127.0.0.1 from 127.0.0.1 eth0
  Sent 1 probes (1 broadcast(s))
  Received 0 response(s)
  ReturnCode: 1

  # arping -V
  arping from iputils s20190709
  --- cut ---

  see corresponding source at
  
https://github.com/iputils/iputils/blob/13e00847176aa23683d68fce1d17ffb523510946/arping.c#L302.


  On Ubuntu Bionic this worked fine (and also does on Ubuntu Hirsute again BTW):
  --- cut ---
  arping -U -c 1 -I eth0 127.0.0.1; echo "ReturnCode: $?"
  ARPING 127.0.0.1 from 127.0.0.1 eth0
  Sent 1 probes (1 broadcast(s))
  Received 0 response(s)
  ReturnCode: 0

  # arping -V
  arping utility, iputils-s20161105
  --- cut ---

  see corresponding source for that version at
  
https://github.com/iputils/iputils/blob/bffc0e957b98d626ab4cea218c89251201425442/arping.c#L329
  or for the version on Hirsute at
  
https://github.com/iputils/iputils/blob/cc16da6b574ce6637f3e6e9ab3c1a728663006ff/arping.c#L302


  As you can see by looking at the source arping always statically
  returns a "0" for unsolicited.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/iputils/+bug/1953014/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953014] [NEW] Return code for unsolicited arping is 1 instead of 0

2021-12-02 Thread Christian Rohmann
Public bug reported:

When running a gratuitous / unsolicited arp via "arping -U" on Ubuntu Focal
a return code of 1 is given, instead of always 0 (as there is no arp reply 
expected).

Focal:
--- cut ---
# arping -U -c1 -I eth0 127.0.0.1; echo "ReturnCode: $?"
ARPING 127.0.0.1 from 127.0.0.1 eth0
Sent 1 probes (1 broadcast(s))
Received 0 response(s)
ReturnCode: 1

# arping -V
arping from iputils s20190709
--- cut ---

see corresponding source at
https://github.com/iputils/iputils/blob/13e00847176aa23683d68fce1d17ffb523510946/arping.c#L302.


On Ubuntu Bionic this worked fine (and also does on Ubuntu Hirsute again BTW):
--- cut ---
arping -U -c 1 -I eth0 127.0.0.1; echo "ReturnCode: $?"
ARPING 127.0.0.1 from 127.0.0.1 eth0
Sent 1 probes (1 broadcast(s))
Received 0 response(s)
ReturnCode: 0

# arping -V
arping utility, iputils-s20161105
--- cut ---

see corresponding source for that version at
https://github.com/iputils/iputils/blob/bffc0e957b98d626ab4cea218c89251201425442/arping.c#L329
or for the version on Hirsute at
https://github.com/iputils/iputils/blob/cc16da6b574ce6637f3e6e9ab3c1a728663006ff/arping.c#L302


As you can see by looking at the source arping always statically returns
a "0" for unsolicited.

** Affects: iputils (Ubuntu)
 Importance: Undecided
 Status: Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to iputils in Ubuntu.
https://bugs.launchpad.net/bugs/1953014

Title:
  Return code for unsolicited arping is 1 instead of 0

Status in iputils package in Ubuntu:
  Confirmed

Bug description:
  When running a gratuitous / unsolicited arp via "arping -U" on Ubuntu Focal
  a return code of 1 is given, instead of always 0 (as there is no arp reply 
expected).

  Focal:
  --- cut ---
  # arping -U -c1 -I eth0 127.0.0.1; echo "ReturnCode: $?"
  ARPING 127.0.0.1 from 127.0.0.1 eth0
  Sent 1 probes (1 broadcast(s))
  Received 0 response(s)
  ReturnCode: 1

  # arping -V
  arping from iputils s20190709
  --- cut ---

  see corresponding source at
  
https://github.com/iputils/iputils/blob/13e00847176aa23683d68fce1d17ffb523510946/arping.c#L302.


  On Ubuntu Bionic this worked fine (and also does on Ubuntu Hirsute again BTW):
  --- cut ---
  arping -U -c 1 -I eth0 127.0.0.1; echo "ReturnCode: $?"
  ARPING 127.0.0.1 from 127.0.0.1 eth0
  Sent 1 probes (1 broadcast(s))
  Received 0 response(s)
  ReturnCode: 0

  # arping -V
  arping utility, iputils-s20161105
  --- cut ---

  see corresponding source for that version at
  
https://github.com/iputils/iputils/blob/bffc0e957b98d626ab4cea218c89251201425442/arping.c#L329
  or for the version on Hirsute at
  
https://github.com/iputils/iputils/blob/cc16da6b574ce6637f3e6e9ab3c1a728663006ff/arping.c#L302


  As you can see by looking at the source arping always statically
  returns a "0" for unsolicited.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/iputils/+bug/1953014/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1746582] Re: package lvm2 2.02.176-4.1ubuntu2 failed to install/upgrade: installed lvm2 package post-installation script subprocess returned error exit status 1

2021-12-02 Thread George Kontis
Yevhen (yevhen.b) works in rasberry pi4 with ubuntu server 20.04 arm64 &
mate-desktop thnx ;)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1746582

Title:
  package lvm2 2.02.176-4.1ubuntu2 failed to install/upgrade: installed
  lvm2 package post-installation script subprocess returned error exit
  status 1

Status in lvm2 package in Ubuntu:
  Confirmed

Bug description:
  I *think* this was from trying to install python-guestfs

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: lvm2 2.02.176-4.1ubuntu2
  ProcVersionSignature: Ubuntu 4.13.0-32.35-generic 4.13.13
  Uname: Linux 4.13.0-32-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  ApportVersion: 2.20.8-0ubuntu7
  Architecture: amd64
  Date: Wed Jan 31 09:56:36 2018
  ErrorMessage: installed lvm2 package post-installation script subprocess 
returned error exit status 1
  InstallationDate: Installed on 2017-06-28 (217 days ago)
  InstallationMedia: Kubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  Python3Details: /usr/bin/python3.6, Python 3.6.4, python3-minimal, 3.6.4-1
  PythonDetails: /usr/bin/python2.7, Python 2.7.14+, python-minimal, 2.7.14-4
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu1
   apt  1.6~alpha7ubuntu1
  SourcePackage: lvm2
  Title: package lvm2 2.02.176-4.1ubuntu2 failed to install/upgrade: installed 
lvm2 package post-installation script subprocess returned error exit status 1
  UpgradeStatus: Upgraded to bionic on 2018-01-30 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/1746582/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952977] Re: Invalid security certificates everywhere in KDE

2021-12-02 Thread Rik Mills
** Changed in: qtbase-opensource-src (Ubuntu)
   Status: Confirmed => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1952977

Title:
  Invalid security certificates everywhere in KDE

Status in qtbase-opensource-src package in Ubuntu:
  Triaged

Bug description:
  Upgrading 5.15.2+dfsg-13 to 5.15.2+dfsg-14 results in security cert.
  errors like this  https://imgur.com/a/7Kyt8U6

  This causes problems for discover, downloading widgets, using the
  weather widget, using the kde browser integrations, downloading tabs
  for ksysguard, etc.

  you can get console errors like this

  org.kde.plasma.discover: Trying to open unexisting file 
QUrl("file:///home/chad/%25F")
  adding empty sources model QStandardItemModel(0x5646c6ed2e80)
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  org.kde.plasma.libdiscover: Couldn't find a category for  "fwupd-backend"
  qt.network.ssl: QSslSocket: cannot resolve SSL_CTX_load_verify_dir
  
file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/private/PrivateActionToolButton.qml:74:5:
 QML Binding: Binding loop detected for property "value"
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""
  qt.network.ssl: QSslSocket: cannot call unresolved function 
SSL_CTX_load_verify_dir
  qt.network.ssl: An error encountered while to set root certificates location: 
""


  
  qt.network.ssl: QSslSocket: cannot resolve EVP_PKEY_base_id qt.network.ssl: 
QSslSocket: cannot resolve SSL_get_peer_certificate

  ProblemType: Bug
  DistroRelease: Ubuntu 22.04
  Package: libqt5network5 5.15.2+dfsg-14
  Uname: Linux 5.15.5-051505-generic x86_64
  ApportVersion: 2.20.11-0ubuntu73
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: KDE
  Date: Wed Dec  1 21:43:08 2021
  InstallationDate: Installed on 2021-11-26 (5 days ago)
  InstallationMedia: Kubuntu 22.04 LTS "Jammy Jellyfish" - Alpha amd64 
(20211126)
  SourcePackage: qtbase-opensource-src
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1952977/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952934] Re: Intel HDA Sound Card not detected on Ubuntu 20.04

2021-12-02 Thread Olivier Tilloy
** Tags added: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1952934

Title:
  Intel HDA Sound Card not detected on Ubuntu 20.04

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  the intel sound card is not detected and only "dummy output" is
  available

  I've tested on kernel 5.15 but it s the same on default 5.11 kernel

  Also tried without success :

  - Booted the 5.4 
  - added snd_intel_dspcfg.dsp_driver=1 boot param

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 5.15.6-051506-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  oem2217 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
  Date: Wed Dec  1 17:35:25 2021
  InstallationDate: Installed on 2021-11-19 (12 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  SourcePackage: alsa-driver
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/26/2021
  dmi.bios.release: 85.176
  dmi.bios.vendor: INSYDE Corp.
  dmi.bios.version: TN1V5.03_PCS
  dmi.board.asset.tag: Board Asset Tag
  dmi.board.name: WN1
  dmi.board.vendor: IP3
  dmi.board.version: V20
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: PCSpecialist
  dmi.chassis.version: Chassis Version
  dmi.ec.firmware.release: 1.4
  dmi.modalias: 
dmi:bvnINSYDECorp.:bvrTN1V5.03_PCS:bd05/26/2021:br85.176:efr1.4:svnPCSpecialist:pnTN1-156M:pvrV10:rvnIP3:rnWN1:rvrV20:cvnPCSpecialist:ct10:cvrChassisVersion:skuTN1-156M:
  dmi.product.family: Notebook
  dmi.product.name: TN1-156M
  dmi.product.sku: TN1-156M
  dmi.product.version: V10
  dmi.sys.vendor: PCSpecialist
  modified.conffile..etc.modprobe.d.alsa-base.conf: [modified]
  mtime.conffile..etc.modprobe.d.alsa-base.conf: 2021-11-30T14:02:48.711418

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1952934/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1953005] [NEW] systemd autopkgtest failures on jammy 5.15 due to cgroup v2 ABI change

2021-12-02 Thread Andrea Righi
Public bug reported:

I'm getting the following errors when running systemd autopkgtest on the
latest Jammy 5.15 Ubuntu kernel:

Received SIGCHLD from PID 2674 (sh).
Child 2674 (sh) died (code=killed, status=13/PIPE)
exec-ignoresigpipe-no.service: Failed to read oom_kill field of memory.events 
cgroup attribute: No such file or directory
exec-ignoresigpipe-no.service: Child 2674 belongs to 
exec-ignoresigpipe-no.service.
exec-ignoresigpipe-no.service: Main process exited, code=killed, status=13/PIPE
exec-ignoresigpipe-no.service: Failed with result 'signal'.
exec-ignoresigpipe-no.service: Service will not restart (restart setting)
exec-ignoresigpipe-no.service: Changed start -> failed
exec-ignoresigpipe-no.service: Unit entered failed state.
Testing without inaccessible, skipping test_exec_inaccessiblepaths
exec-ioschedulingclass-none.service: Passing 0 fds to service
exec-ioschedulingclass-none.service: About to execute /bin/sh -x -c 
'c=$$(LC_ALL=C ionice); test "$${c%:*}" = "none"'
exec-ioschedulingclass-none.service: Forked /bin/sh as 2675
exec-ioschedulingclass-none.service: Changed dead -> start
PR_SET_MM_ARG_START failed: Operation not permitted

...

FAIL: test-execute

The fact that is failing to read memory.events makes me think that the
expected cgroup wasn't created correctly. I don't see any potential ABI
change in the kernel. I need to investigate more.

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1953005

Title:
  systemd autopkgtest failures on jammy 5.15 due to cgroup v2 ABI change

Status in systemd package in Ubuntu:
  New

Bug description:
  I'm getting the following errors when running systemd autopkgtest on
  the latest Jammy 5.15 Ubuntu kernel:

  Received SIGCHLD from PID 2674 (sh).
  Child 2674 (sh) died (code=killed, status=13/PIPE)
  exec-ignoresigpipe-no.service: Failed to read oom_kill field of memory.events 
cgroup attribute: No such file or directory
  exec-ignoresigpipe-no.service: Child 2674 belongs to 
exec-ignoresigpipe-no.service.
  exec-ignoresigpipe-no.service: Main process exited, code=killed, 
status=13/PIPE
  exec-ignoresigpipe-no.service: Failed with result 'signal'.
  exec-ignoresigpipe-no.service: Service will not restart (restart setting)
  exec-ignoresigpipe-no.service: Changed start -> failed
  exec-ignoresigpipe-no.service: Unit entered failed state.
  Testing without inaccessible, skipping test_exec_inaccessiblepaths
  exec-ioschedulingclass-none.service: Passing 0 fds to service
  exec-ioschedulingclass-none.service: About to execute /bin/sh -x -c 
'c=$$(LC_ALL=C ionice); test "$${c%:*}" = "none"'
  exec-ioschedulingclass-none.service: Forked /bin/sh as 2675
  exec-ioschedulingclass-none.service: Changed dead -> start
  PR_SET_MM_ARG_START failed: Operation not permitted

  ...

  FAIL: test-execute

  The fact that is failing to read memory.events makes me think that the
  expected cgroup wasn't created correctly. I don't see any potential
  ABI change in the kernel. I need to investigate more.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1953005/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952083] Re: Add support for Beige Goby

2021-12-02 Thread Akbarkhon Variskhanov
This version wants to break dependencies and introduces a conflict
between packages.

Xubuntu 20.04.3 LTS


** Attachment added: "Screenshot_2021-12-02_13-21-29.png"
   
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1952083/+attachment/5544859/+files/Screenshot_2021-12-02_13-21-29.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1952083

Title:
  Add support for Beige Goby

Status in amd:
  New
Status in OEM Priority Project:
  Fix Committed
Status in mesa package in Ubuntu:
  Fix Released
Status in mesa source package in Focal:
  Fix Released

Bug description:
  Impact]

  New hardware support for AMD's Beige Goby needs a commit backported to
  mesa. This is only needed on focal, skipping hirsute (no kernel
  support there). Fixed in impish and up.

  [Test plan]

  Install updates, boot a BG machine and check that the desktop has full
  hardware acceleration.

  [Where problems could occur]

  Mesa adds a single commit for enabling BEIGE_GOBY, hard to see what
  could go wrong.

To manage notifications about this bug go to:
https://bugs.launchpad.net/amd/+bug/1952083/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1952934] Re: Intel HDA Sound Card not detected on Ubuntu 20.04

2021-12-02 Thread Michel-Ekimia
@I-cat : the media dir is correct and it is not the issue here.

Please don't change the status or assigned like that.

** Changed in: alsa-driver (Ubuntu)
   Status: Opinion => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1952934

Title:
  Intel HDA Sound Card not detected on Ubuntu 20.04

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  the intel sound card is not detected and only "dummy output" is
  available

  I've tested on kernel 5.15 but it s the same on default 5.11 kernel

  Also tried without success :

  - Booted the 5.4 
  - added snd_intel_dspcfg.dsp_driver=1 boot param

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 5.15.6-051506-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.21
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  oem2217 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read 
kernel buffer failed: Operation not permitted
  Date: Wed Dec  1 17:35:25 2021
  InstallationDate: Installed on 2021-11-19 (12 days ago)
  InstallationMedia: Ubuntu 20.04.3 LTS "Focal Fossa" - Release amd64 (20210819)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  SourcePackage: alsa-driver
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/26/2021
  dmi.bios.release: 85.176
  dmi.bios.vendor: INSYDE Corp.
  dmi.bios.version: TN1V5.03_PCS
  dmi.board.asset.tag: Board Asset Tag
  dmi.board.name: WN1
  dmi.board.vendor: IP3
  dmi.board.version: V20
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: PCSpecialist
  dmi.chassis.version: Chassis Version
  dmi.ec.firmware.release: 1.4
  dmi.modalias: 
dmi:bvnINSYDECorp.:bvrTN1V5.03_PCS:bd05/26/2021:br85.176:efr1.4:svnPCSpecialist:pnTN1-156M:pvrV10:rvnIP3:rnWN1:rvrV20:cvnPCSpecialist:ct10:cvrChassisVersion:skuTN1-156M:
  dmi.product.family: Notebook
  dmi.product.name: TN1-156M
  dmi.product.sku: TN1-156M
  dmi.product.version: V10
  dmi.sys.vendor: PCSpecialist
  modified.conffile..etc.modprobe.d.alsa-base.conf: [modified]
  mtime.conffile..etc.modprobe.d.alsa-base.conf: 2021-11-30T14:02:48.711418

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1952934/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp